package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.AreaDaEfPeriodData;

import java.util.List;

/**
 * AreaDaEfPeriodDataMapper接口
 *
 * @author hlf
 * @date 2021-08-11
 */
public interface AreaDaEfPeriodDataMapper {
    /**
     * 查询AreaDaEfPeriodData
     *
     * @param areaNo AreaDaEfPeriodDataID
     * @return AreaDaEfPeriodData
     */
    public AreaDaEfPeriodData selectAreaDaEfPeriodDataById(Long areaNo);

    /**
     * 查询AreaDaEfPeriodData列表
     *
     * @param areaDaEfPeriodData AreaDaEfPeriodData
     * @return AreaDaEfPeriodData集合
     */
    public List<AreaDaEfPeriodData> selectAreaDaEfPeriodDataList(AreaDaEfPeriodData areaDaEfPeriodData);
}
