package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.AreaPeriodData;

import java.util.List;

/**
 * AreaPeriodDataMapper接口
 *
 * @author hlf
 * @date 2021-10-27
 */
public interface AreaPeriodDataMapper {
    /**
     * 查询AreaPeriodData
     *
     * @param areaNo AreaPeriodDataID
     * @return AreaPeriodData
     */
    public AreaPeriodData selectAreaPeriodDataById(Long areaNo);

    /**
     * 查询AreaPeriodData列表
     *
     * @param areaPeriodData AreaPeriodData
     * @return AreaPeriodData集合
     */
    public List<AreaPeriodData> selectAreaPeriodDataList(AreaPeriodData areaPeriodData);
}
