package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.EnumMenuItem;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * EnumMenuItemMapper接口
 *
 * @author hlf
 * @date 2021-07-07
 */
public interface EnumMenuItemMapper {
    /**
     * 查询EnumMenuItem
     *
     * @param itemNo EnumMenuItemID
     * @return EnumMenuItem
     */
    public EnumMenuItem selectEnumMenuItemById(Long itemNo);

    /**
     * 查询EnumMenuItem列表
     *
     * @param enumMenuItem EnumMenuItem
     * @return EnumMenuItem集合
     */
    public List<EnumMenuItem> selectEnumMenuItemList(EnumMenuItem enumMenuItem);

    EnumMenuItem selectEnumMenuItemByMenuNo(@Param("menuNo") Long menuNo, @Param("itemNo") Long itemNo);

    List<EnumMenuItem> selectEnumMenuItemByMenuNoList(Long menuNo);
}
