package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.HistorydataPoint;

import java.util.List;

/**
 * HistorydataPointMapper接口
 *
 * @author hlf
 * @date 2022-01-10
 */
public interface HistorydataPointMapper {
    /**
     * 查询HistorydataPoint
     *
     * @param nohis HistorydataPointID
     * @return HistorydataPoint
     */
    public HistorydataPoint selectHistorydataPointById(Long nohis);

    /**
     * 查询HistorydataPoint列表
     *
     * @param historydataPoint HistorydataPoint
     * @return HistorydataPoint集合
     */
    public List<HistorydataPoint> selectHistorydataPointList(HistorydataPoint historydataPoint);
}
