package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.LpWfYearData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * LpWfYearDataMapper接口
 *
 * @author hlf
 * @date 2022-03-16
 */
public interface LpWfYearDataMapper {
    /**
     * 查询LpWfYearData
     *
     * @param wfNo LpWfYearDataID
     * @return LpWfYearData
     */
    public LpWfYearData selectLpWfYearDataById(Long wfNo);

    /**
     * 查询LpWfYearData列表
     *
     * @param lpWfYearData LpWfYearData
     * @return LpWfYearData集合
     */
    public List<LpWfYearData> selectLpWfYearDataList(LpWfYearData lpWfYearData);

    List<LpWfYearData> selectLpWfYearData(@Param("wfNo") Long wfNo, @Param("dataTime") Date dataTime);
}
