package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.MvPoint;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * MvPointMapper接口
 *
 * @author hlf
 * @date 2022-01-10
 */
public interface MvPointMapper {
    /**
     * 查询MvPoint
     *
     * @param windplantNo MvPointID
     * @return MvPoint
     */
    public MvPoint selectMvPointById(@Param("windplantNo") Long windplantNo, @Param("mvNo") Long mvNo);

    /**
     * 查询MvPoint列表
     *
     * @param mvPoint MvPoint
     * @return MvPoint集合
     */
    public List<MvPoint> selectMvPointList(MvPoint mvPoint);
}
