package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.NoscalePrDaEfPeriodData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * NoscalePrDaEfPeriodDataMapper接口
 *
 * @author hlf
 * @date 2021-08-11
 */
public interface NoscalePrDaEfPeriodDataMapper {
    /**
     * 查询NoscalePrDaEfPeriodData
     *
     * @param wfPrNo NoscalePrDaEfPeriodDataID
     * @return NoscalePrDaEfPeriodData
     */
    public NoscalePrDaEfPeriodData selectNoscalePrDaEfPeriodDataById(Long wfPrNo);

    /**
     * 查询NoscalePrDaEfPeriodData列表
     *
     * @param noscalePrDaEfPeriodData NoscalePrDaEfPeriodData
     * @return NoscalePrDaEfPeriodData集合
     */
    public List<NoscalePrDaEfPeriodData> selectNoscalePrDaEfPeriodDataList(NoscalePrDaEfPeriodData noscalePrDaEfPeriodData);

    NoscalePrDaEfPeriodData selectNoscalePrDaEfPeriodDataByJh(@Param("projectNo") Long projectNo, @Param("modelNo") Long modelNo, @Param("dataTime") Date dataTime);

    List<NoscalePrDaEfPeriodData> selectNoscalePrDaEfPeriodData(@Param("projectNo") Long projectNo, @Param("modelNo") Long modelNo, @Param("dataTime") Date dataTime);
}
