package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.NoscalePrDaPfPeriodData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * NoscalePrDaPfPeriodDataMapper接口
 *
 * @author hlf
 * @date 2021-07-30
 */
public interface NoscalePrDaPfPeriodDataMapper {
    /**
     * 查询NoscalePrDaPfPeriodData
     *
     * @param wfPrNo NoscalePrDaPfPeriodDataID
     * @return NoscalePrDaPfPeriodData
     */
    public NoscalePrDaPfPeriodData selectNoscalePrDaPfPeriodDataById(Long wfPrNo);

    /**
     * 查询NoscalePrDaPfPeriodData列表
     *
     * @param noscalePrDaPfPeriodData NoscalePrDaPfPeriodData
     * @return NoscalePrDaPfPeriodData集合
     */
    public List<NoscalePrDaPfPeriodData> selectNoscalePrDaPfPeriodDataList(NoscalePrDaPfPeriodData noscalePrDaPfPeriodData);

    List<NoscalePrDaPfPeriodData> selectNoscalePrDaPfPeriodData(@Param("wfPrNo") Long wfPrNo, @Param("modelNo") Long modelNo, @Param("dataTime") Date dataTime);
}
