package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.NoscaleWfDaEfPeriodData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * NoscaleWfDaEfPeriodDataMapper接口
 *
 * @author hlf
 * @date 2021-08-11
 */
public interface NoscaleWfDaEfPeriodDataMapper {
    /**
     * 查询NoscaleWfDaEfPeriodData
     *
     * @param windplantNo NoscaleWfDaEfPeriodDataID
     * @return NoscaleWfDaEfPeriodData
     */
    public NoscaleWfDaEfPeriodData selectNoscaleWfDaEfPeriodDataById(Long windplantNo);

    /**
     * 查询NoscaleWfDaEfPeriodData列表
     *
     * @param noscaleWfDaEfPeriodData NoscaleWfDaEfPeriodData
     * @return NoscaleWfDaEfPeriodData集合
     */
    public List<NoscaleWfDaEfPeriodData> selectNoscaleWfDaEfPeriodDataList(NoscaleWfDaEfPeriodData noscaleWfDaEfPeriodData);

    List<NoscaleWfDaEfPeriodData> selectNoscaleWfDaEfPeriodData(@Param("windplantNo") Long windplantNo, @Param("modelNo") Long modelNo, @Param("dataTime") Date dataTime);
}
