package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.NoscaleWfDaPfPeriodData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * NoscaleWfDaPfPeriodDataMapper接口
 *
 * @author hlf
 * @date 2021-07-07
 */
public interface NoscaleWfDaPfPeriodDataMapper {
    /**
     * 查询NoscaleWfDaPfPeriodData
     *
     * @param windplantNo NoscaleWfDaPfPeriodDataID
     * @return NoscaleWfDaPfPeriodData
     */
    public NoscaleWfDaPfPeriodData selectNoscaleWfDaPfPeriodDataById(Long windplantNo);

    /**
     * 查询NoscaleWfDaPfPeriodData列表
     *
     * @param noscaleWfDaPfPeriodData NoscaleWfDaPfPeriodData
     * @return NoscaleWfDaPfPeriodData集合
     */
    public List<NoscaleWfDaPfPeriodData> selectNoscaleWfDaPfPeriodDataList(NoscaleWfDaPfPeriodData noscaleWfDaPfPeriodData);

    NoscaleWfDaPfPeriodData selectNoscaleWfDaPfPeriodDataByJh(@Param("windplantNo") Long windplantNo, @Param("modelNo") Long modelNo, @Param("dataTime") Date dataTime);

    List<NoscaleWfDaPfPeriodData> selectNoscaleWfDaPfPeriodData(@Param("windplantNo") Long windplantNo, @Param("modelNo") Long modelNo, @Param("dataTime") Date dataTime);
}
