package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.PrTheorypowerData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * PrTheorypowerDataMapper接口
 * 
 * @author hlf
 * @date 2022-11-08
 */
public interface PrTheorypowerDataMapper 
{
    /**
     * 查询PrTheorypowerData
     * 
     * @param windplantNo PrTheorypowerDataID
     * @return PrTheorypowerData
     */
    public PrTheorypowerData selectPrTheorypowerDataById(Long windplantNo);

    /**
     * 查询PrTheorypowerData列表
     * 
     * @param prTheorypowerData PrTheorypowerData
     * @return PrTheorypowerData集合
     */
    public List<PrTheorypowerData> selectPrTheorypowerDataList(PrTheorypowerData prTheorypowerData);

    List<PrTheorypowerData> selectPrTheorypowerData(@Param("windplantNo") Long windplantNo, @Param("projectNo") Long projectNo, @Param("dataTime") Date dataTime);
}
