package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.ProjectEuspTsPeriodData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * ProjectEuspTsPeriodDataMapper接口
 *
 * @author hlf
 * @date 2021-09-28
 */
public interface ProjectEuspTsPeriodDataMapper {
    /**
     * 查询ProjectEuspTsPeriodData
     *
     * @param projectNo ProjectEuspTsPeriodDataID
     * @return ProjectEuspTsPeriodData
     */
    public ProjectEuspTsPeriodData selectProjectEuspTsPeriodDataById(Long projectNo);

    /**
     * 查询ProjectEuspTsPeriodData列表
     *
     * @param projectEuspTsPeriodData ProjectEuspTsPeriodData
     * @return ProjectEuspTsPeriodData集合
     */
    public List<ProjectEuspTsPeriodData> selectProjectEuspTsPeriodDataList(ProjectEuspTsPeriodData projectEuspTsPeriodData);

    List<ProjectEuspTsPeriodData> selectProjectEuspTsPeriodData(@Param("projectNo") Long projectNo, @Param("modelNo") Long modelNo, @Param("timeScale") Long timeScale, @Param("dataTime") Date dataTime);
}
