package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.ProjectUspDayData;

import java.util.List;

/**
 * ProjectUspDayDataMapper接口
 *
 * @author hlf
 * @date 2021-09-15
 */
public interface ProjectUspDayDataMapper {
    /**
     * 查询ProjectUspDayData
     *
     * @param projectNo ProjectUspDayDataID
     * @return ProjectUspDayData
     */
    public ProjectUspDayData selectProjectUspDayDataById(Long projectNo);

    /**
     * 查询ProjectUspDayData列表
     *
     * @param projectUspDayData ProjectUspDayData
     * @return ProjectUspDayData集合
     */
    public List<ProjectUspDayData> selectProjectUspDayDataList(ProjectUspDayData projectUspDayData);
}
