package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.ProjectUspMonthData;

import java.util.List;

/**
 * ProjectUspMonthDataMapper接口
 *
 * @author hlf
 * @date 2021-09-15
 */
public interface ProjectUspMonthDataMapper {
    /**
     * 查询ProjectUspMonthData
     *
     * @param projectNo ProjectUspMonthDataID
     * @return ProjectUspMonthData
     */
    public ProjectUspMonthData selectProjectUspMonthDataById(Long projectNo);

    /**
     * 查询ProjectUspMonthData列表
     *
     * @param projectUspMonthData ProjectUspMonthData
     * @return ProjectUspMonthData集合
     */
    public List<ProjectUspMonthData> selectProjectUspMonthDataList(ProjectUspMonthData projectUspMonthData);
}
