package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.ProjectUspTsPeriodData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * ProjectUspTsPeriodDataMapper接口
 *
 * @author hlf
 * @date 2021-09-15
 */
public interface ProjectUspTsPeriodDataMapper {
    /**
     * 查询ProjectUspTsPeriodData
     *
     * @param projectNo ProjectUspTsPeriodDataID
     * @return ProjectUspTsPeriodData
     */
    public ProjectUspTsPeriodData selectProjectUspTsPeriodDataById(Long projectNo);

    /**
     * 查询ProjectUspTsPeriodData列表
     *
     * @param projectUspTsPeriodData ProjectUspTsPeriodData
     * @return ProjectUspTsPeriodData集合
     */
    public List<ProjectUspTsPeriodData> selectProjectUspTsPeriodDataList(ProjectUspTsPeriodData projectUspTsPeriodData);

    List<ProjectUspTsPeriodData> selectProjectUspTsPeriodData(@Param("projectNo") Long projectNo, @Param("modelNo") Long modelNo, @Param("timeScale") Long timeScale, @Param("dataTime") Date dataTime);
}
