package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.PvDaPfMonthData;

import java.util.List;

/**
 * PvDaPfMonthDataMapper接口
 * 
 * @author hlf
 * @date 2022-07-11
 */
public interface PvDaPfMonthDataMapper 
{
    /**
     * 查询PvDaPfMonthData
     * 
     * @param pvplantNo PvDaPfMonthDataID
     * @return PvDaPfMonthData
     */
    public PvDaPfMonthData selectPvDaPfMonthDataById(Long pvplantNo);

    /**
     * 查询PvDaPfMonthData列表
     * 
     * @param pvDaPfMonthData PvDaPfMonthData
     * @return PvDaPfMonthData集合
     */
    public List<PvDaPfMonthData> selectPvDaPfMonthDataList(PvDaPfMonthData pvDaPfMonthData);
}
