package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.PvDaPfPeriodData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * PvDaPfPeriodDataMapper接口
 * 
 * @author hlf
 * @date 2022-07-11
 */
public interface PvDaPfPeriodDataMapper 
{
    /**
     * 查询PvDaPfPeriodData
     * 
     * @param pvNo PvDaPfPeriodDataID
     * @return PvDaPfPeriodData
     */
    public PvDaPfPeriodData selectPvDaPfPeriodDataById(Long pvNo);

    /**
     * 查询PvDaPfPeriodData列表
     * 
     * @param pvDaPfPeriodData PvDaPfPeriodData
     * @return PvDaPfPeriodData集合
     */
    public List<PvDaPfPeriodData> selectPvDaPfPeriodDataList(PvDaPfPeriodData pvDaPfPeriodData);

    PvDaPfPeriodData selectPvDaPfPeriodData(@Param("pvNo") Long pvNo, @Param("modelNo") Long modelNo, @Param("dataTime") Date dataTime);
}
