package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.PvUspTsPeriodData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * PvUspTsPeriodDataMapper接口
 * 
 * @author hlf
 * @date 2022-07-13
 */
public interface PvUspTsPeriodDataMapper 
{
    /**
     * 查询PvUspTsPeriodData
     * 
     * @param pvNo PvUspTsPeriodDataID
     * @return PvUspTsPeriodData
     */
    public PvUspTsPeriodData selectPvUspTsPeriodDataById(Long pvNo);

    /**
     * 查询PvUspTsPeriodData列表
     * 
     * @param pvUspTsPeriodData PvUspTsPeriodData
     * @return PvUspTsPeriodData集合
     */
    public List<PvUspTsPeriodData> selectPvUspTsPeriodDataList(PvUspTsPeriodData pvUspTsPeriodData);

    PvUspTsPeriodData selectPvUspTsPeriodData(@Param("pvNo") Long pvNo, @Param("modelNo") Long modelNo, @Param("timeScale") Long timeScale, @Param("dataTime") Date dataTime);
}
