package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WeatherForecast;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * WeatherForecastMapper接口
 * 
 * @author hlf
 * @date 2022-09-21
 */
public interface WeatherForecastMapper 
{
    /**
     * 查询WeatherForecast
     * 
     * @param dataTime WeatherForecastID
     * @return WeatherForecast
     */
    public WeatherForecast selectWeatherForecastById(@Param("terminalNumber") Long terminalNumber, @Param("dataTime") Date dataTime);

    /**
     * 查询WeatherForecast列表
     * 
     * @param weatherForecast WeatherForecast
     * @return WeatherForecast集合
     */
    public List<WeatherForecast> selectWeatherForecastList(WeatherForecast weatherForecast);

    /**
     * 新增WeatherForecast
     * 
     * @param weatherForecast WeatherForecast
     * @return 结果
     */
    public int insertWeatherForecast(WeatherForecast weatherForecast);

    /**
     * 修改WeatherForecast
     * 
     * @param weatherForecast WeatherForecast
     * @return 结果
     */
    public int updateWeatherForecast(WeatherForecast weatherForecast);
}
