package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WfDaEfDayData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * WfDaEfDayDataMapper接口
 *
 * @author hlf
 * @date 2021-08-11
 */
public interface WfDaEfDayDataMapper {
    /**
     * 查询WfDaEfDayData
     *
     * @param windplantNo WfDaEfDayDataID
     * @return WfDaEfDayData
     */
    public WfDaEfDayData selectWfDaEfDayDataById(Long windplantNo);

    /**
     * 查询WfDaEfDayData列表
     *
     * @param wfDaEfDayData WfDaEfDayData
     * @return WfDaEfDayData集合
     */
    public List<WfDaEfDayData> selectWfDaEfDayDataList(WfDaEfDayData wfDaEfDayData);

    WfDaEfDayData selectWfDaEfDayData(@Param("windplantNo") Long windplantNo, @Param("modelNo") Long modelNo, @Param("dateTime") Date dateTime);
}
