package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WfDaEfMonthData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * WfDaEfMonthDataMapper接口
 *
 * @author hlf
 * @date 2021-08-11
 */
public interface WfDaEfMonthDataMapper {
    /**
     * 查询WfDaEfMonthData
     *
     * @param windplantNo WfDaEfMonthDataID
     * @return WfDaEfMonthData
     */
    public WfDaEfMonthData selectWfDaEfMonthDataById(Long windplantNo);

    /**
     * 查询WfDaEfMonthData列表
     *
     * @param wfDaEfMonthData WfDaEfMonthData
     * @return WfDaEfMonthData集合
     */
    public List<WfDaEfMonthData> selectWfDaEfMonthDataList(WfDaEfMonthData wfDaEfMonthData);

    WfDaEfMonthData selectWfDaEfMonthData(@Param("windplantNo") Long windplantNo, @Param("modelNo") Long modelNo, @Param("dateTime") Date dateTime);
}
