package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WfDaPfDayData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * WfDaPfDayDataMapper接口
 *
 * @author hlf
 * @date 2021-07-14
 */
public interface WfDaPfDayDataMapper {
    /**
     * 查询WfDaPfDayData
     *
     * @param windplantNo WfDaPfDayDataID
     * @return WfDaPfDayData
     */
    public WfDaPfDayData selectWfDaPfDayDataById(Long windplantNo);

    /**
     * 查询WfDaPfDayData列表
     *
     * @param wfDaPfDayData WfDaPfDayData
     * @return WfDaPfDayData集合
     */
    public List<WfDaPfDayData> selectWfDaPfDayDataList(WfDaPfDayData wfDaPfDayData);

    WfDaPfDayData selectWfDaPfDayData(@Param("windplantNo") Long windplantNo, @Param("modelNo") Long modelNo, @Param("dateTime") Date dateTime);
}
