package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WfDaPfErrInterval;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * WfDaPfErrIntervalMapper接口
 *
 * @author hlf
 * @date 2021-07-07
 */
public interface WfDaPfErrIntervalMapper {
    /**
     * 查询WfDaPfErrInterval
     *
     * @param windplantNo WfDaPfErrIntervalID
     * @return WfDaPfErrInterval
     */
    public WfDaPfErrInterval selectWfDaPfErrIntervalById(Long windplantNo);

    /**
     * 查询WfDaPfErrInterval列表
     *
     * @param wfDaPfErrInterval WfDaPfErrInterval
     * @return WfDaPfErrInterval集合
     */
    public List<WfDaPfErrInterval> selectWfDaPfErrIntervalList(WfDaPfErrInterval wfDaPfErrInterval);

    WfDaPfErrInterval selectWfDaPfErrInterval(@Param("windplantNo") Long windplantNo, @Param("modelNo") Long modelNo, @Param("dateTime") Date dateTime);
}
