package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WfNwpData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * WfNwpDataMapper接口
 *
 * @author hlf
 * @date 2021-07-14
 */
public interface WfNwpDataMapper {
    /**
     * 查询WfNwpData
     *
     * @param windplantNo WfNwpDataID
     * @return WfNwpData
     */
    public WfNwpData selectWfNwpDataById(Long windplantNo);

    /**
     * 查询WfNwpData列表
     *
     * @param wfNwpData WfNwpData
     * @return WfNwpData集合
     */
    public List<WfNwpData> selectWfNwpDataList(WfNwpData wfNwpData);

    List<WfNwpData> selectWfNwpData(@Param("windplantNo") Long windplantNo, @Param("nwpType") Long nwpType, @Param("dataTime") Date dataTime);

    List<WfNwpData> selectWfNwpDataByWindDir(@Param("windplantNo") Long windplantNo, @Param("nwpType") Long nwpType, @Param("dataTime") Date dataTime, @Param("params") Map<String, Object> params);
}
