package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WfStatPeriodData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * WfStatPeriodDataMapper接口
 *
 * @author hlf
 * @date 2021-07-07
 */
public interface WfStatPeriodDataMapper {
    /**
     * 查询WfStatPeriodData
     *
     * @param windplantNo WfStatPeriodDataID
     * @return WfStatPeriodData
     */
    public List<WfStatPeriodData> selectWfStatPeriodDataById(Long windplantNo);

    /**
     * 查询WfStatPeriodData列表
     *
     * @param wfStatPeriodData WfStatPeriodData
     * @return WfStatPeriodData集合
     */
    public List<WfStatPeriodData> selectWfStatPeriodDataList(WfStatPeriodData wfStatPeriodData);

    WfStatPeriodData selectWfStatPeriodData(@Param("windplantNo") Long windplantNo, @Param("dataTime") Date dataTime);

    List<WfStatPeriodData> selectWfStatPeriodData1(@Param("windplantNo") Long windplantNo, @Param("dataTime") Date dataTime);
}
