package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WfUspDayData;

import java.util.List;

/**
 * WfUspDayDataMapper接口
 *
 * @author hlf
 * @date 2021-08-16
 */
public interface WfUspDayDataMapper {
    /**
     * 查询WfUspDayData
     *
     * @param windplantNo WfUspDayDataID
     * @return WfUspDayData
     */
    public WfUspDayData selectWfUspDayDataById(Long windplantNo);

    /**
     * 查询WfUspDayData列表
     *
     * @param wfUspDayData WfUspDayData
     * @return WfUspDayData集合
     */
    public List<WfUspDayData> selectWfUspDayDataList(WfUspDayData wfUspDayData);
}
