package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WfUspPfErrInterval;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * WfUspPfErrIntervalMapper接口
 *
 * @author hlf
 * @date 2021-09-06
 */
public interface WfUspPfErrIntervalMapper {
    /**
     * 查询WfUspPfErrInterval
     *
     * @param windplantNo WfUspPfErrIntervalID
     * @return WfUspPfErrInterval
     */
    public WfUspPfErrInterval selectWfUspPfErrIntervalById(Long windplantNo);

    /**
     * 查询WfUspPfErrInterval列表
     *
     * @param wfUspPfErrInterval WfUspPfErrInterval
     * @return WfUspPfErrInterval集合
     */
    public List<WfUspPfErrInterval> selectWfUspPfErrIntervalList(WfUspPfErrInterval wfUspPfErrInterval);

    WfUspPfErrInterval selectWfUspPfErrInterval(@Param("windplantNo") Long windplantNo, @Param("modelNo") Long modelNo, @Param("timeScale") Long timeScale, @Param("dateTime") Date dateTime);
}
