package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WfUspPfPara;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * WfUspPfParaMapper接口
 *
 * @author hlf
 * @date 2021-09-02
 */
public interface WfUspPfParaMapper {
    /**
     * 查询WfUspPfPara
     *
     * @param windplantNo WfUspPfParaID
     * @return WfUspPfPara
     */
    public WfUspPfPara selectWfUspPfParaById(@Param("windplantNo") Long windplantNo, @Param("modelNo") Long modelNo);

    /**
     * 查询WfUspPfPara列表
     *
     * @param wfUspPfPara WfUspPfPara
     * @return WfUspPfPara集合
     */
    public List<WfUspPfPara> selectWfUspPfParaList(WfUspPfPara wfUspPfPara);

    /**
     * 新增WfUspPfPara
     *
     * @param wfUspPfPara WfUspPfPara
     * @return 结果
     */
    public int insertWfUspPfPara(WfUspPfPara wfUspPfPara);

    /**
     * 修改WfUspPfPara
     *
     * @param wfUspPfPara WfUspPfPara
     * @return 结果
     */
    public int updateWfUspPfPara(WfUspPfPara wfUspPfPara);

    /**
     * 删除WfUspPfPara
     *
     * @param windplantNo WfUspPfParaID
     * @return 结果
     */
    public int deleteWfUspPfParaById(@Param("windplantNo") Long windplantNo, @Param("modelNo") Long modelNo);
}
