package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WfUspTsPeriodData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * WfUspTsPeriodDataMapper接口
 *
 * @author hlf
 * @date 2021-08-16
 */
public interface WfUspTsPeriodDataMapper {
    /**
     * 查询WfUspTsPeriodData
     *
     * @param windplantNo WfUspTsPeriodDataID
     * @return WfUspTsPeriodData
     */
    public WfUspTsPeriodData selectWfUspTsPeriodDataById(Long windplantNo);

    /**
     * 查询WfUspTsPeriodData列表
     *
     * @param wfUspTsPeriodData WfUspTsPeriodData
     * @return WfUspTsPeriodData集合
     */
    public List<WfUspTsPeriodData> selectWfUspTsPeriodDataList(WfUspTsPeriodData wfUspTsPeriodData);

    WfUspTsPeriodData selectWfUspTsPeriodData(@Param("windplantNo") Long windplantNo, @Param("modelNo") Long modelNo, @Param("timeScale") Long timeScale, @Param("dataTime") Date dataTime);

    List<WfUspTsPeriodData> selectWfUspTsPeriodData1(@Param("windplantNo") Long windplantNo, @Param("modelNo") Long modelNo, @Param("timeScale") Long timeScale, @Param("dataTime") Date dataTime);
}
