package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WtgDaEfDayData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * WtgDaEfDayDataMapper接口
 *
 * @author hlf
 * @date 2021-08-11
 */
public interface WtgDaEfDayDataMapper {
    /**
     * 查询WtgDaEfDayData
     *
     * @param wturNo WtgDaEfDayDataID
     * @return WtgDaEfDayData
     */
    public WtgDaEfDayData selectWtgDaEfDayDataById(Long wturNo);

    /**
     * 查询WtgDaEfDayData列表
     *
     * @param wtgDaEfDayData WtgDaEfDayData
     * @return WtgDaEfDayData集合
     */
    public List<WtgDaEfDayData> selectWtgDaEfDayDataList(WtgDaEfDayData wtgDaEfDayData);

    WtgDaEfDayData selectWtgDaEfDayData(@Param("wtgNo") Long wtgNo, @Param("modelNo") Long modelNo, @Param("dateTime") Date dateTime);
}
