package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WtgDaEfMonthData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * WtgDaEfMonthDataMapper接口
 *
 * @author hlf
 * @date 2021-08-11
 */
public interface WtgDaEfMonthDataMapper {
    /**
     * 查询WtgDaEfMonthData
     *
     * @param wturNo WtgDaEfMonthDataID
     * @return WtgDaEfMonthData
     */
    public WtgDaEfMonthData selectWtgDaEfMonthDataById(Long wturNo);

    /**
     * 查询WtgDaEfMonthData列表
     *
     * @param wtgDaEfMonthData WtgDaEfMonthData
     * @return WtgDaEfMonthData集合
     */
    public List<WtgDaEfMonthData> selectWtgDaEfMonthDataList(WtgDaEfMonthData wtgDaEfMonthData);

    WtgDaEfMonthData selectWtgDaEfMonthData(@Param("wtgNo") Long wtgNo, @Param("modelNo") Long modelNo, @Param("dateTime") Date dateTime);
}
