package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WtgDaPfDayData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * WtgDaPfDayDataMapper接口
 *
 * @author hlf
 * @date 2021-08-06
 */
public interface WtgDaPfDayDataMapper {
    /**
     * 查询WtgDaPfDayData
     *
     * @param wturNo WtgDaPfDayDataID
     * @return WtgDaPfDayData
     */
    public WtgDaPfDayData selectWtgDaPfDayDataById(Long wturNo);

    /**
     * 查询WtgDaPfDayData列表
     *
     * @param wtgDaPfDayData WtgDaPfDayData
     * @return WtgDaPfDayData集合
     */
    public List<WtgDaPfDayData> selectWtgDaPfDayDataList(WtgDaPfDayData wtgDaPfDayData);

    WtgDaPfDayData selectWtgDaPfDayData(@Param("wtgNo") Long wtgNo, @Param("modelNo") Long modelNo, @Param("dateTime") Date dateTime);
}
