package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WtgDaPfMonthData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * WtgDaPfMonthDataMapper接口
 *
 * @author hlf
 * @date 2021-08-06
 */
public interface WtgDaPfMonthDataMapper {
    /**
     * 查询WtgDaPfMonthData
     *
     * @param wturNo WtgDaPfMonthDataID
     * @return WtgDaPfMonthData
     */
    public WtgDaPfMonthData selectWtgDaPfMonthDataById(Long wturNo);

    /**
     * 查询WtgDaPfMonthData列表
     *
     * @param wtgDaPfMonthData WtgDaPfMonthData
     * @return WtgDaPfMonthData集合
     */
    public List<WtgDaPfMonthData> selectWtgDaPfMonthDataList(WtgDaPfMonthData wtgDaPfMonthData);

    WtgDaPfMonthData selectWtgDaPfMonthData(@Param("wtgNo") Long wtgNo, @Param("modelNo") Long modelNo, @Param("dateTime") Date dateTime);
}
