package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WtgTheorypowerData;

import java.util.List;

/**
 * WtgTheorypowerDataMapper接口
 * 
 * @author hlf
 * @date 2022-09-22
 */
public interface WtgTheorypowerDataMapper 
{
    /**
     * 查询WtgTheorypowerData
     * 
     * @param wturNo WtgTheorypowerDataID
     * @return WtgTheorypowerData
     */
    public WtgTheorypowerData selectWtgTheorypowerDataById(Long wturNo);

    /**
     * 查询WtgTheorypowerData列表
     * 
     * @param wtgTheorypowerData WtgTheorypowerData
     * @return WtgTheorypowerData集合
     */
    public List<WtgTheorypowerData> selectWtgTheorypowerDataList(WtgTheorypowerData wtgTheorypowerData);

    /**
     * 新增WtgTheorypowerData
     * 
     * @param wtgTheorypowerData WtgTheorypowerData
     * @return 结果
     */
    public int insertWtgTheorypowerData(WtgTheorypowerData wtgTheorypowerData);

    /**
     * 修改WtgTheorypowerData
     * 
     * @param wtgTheorypowerData WtgTheorypowerData
     * @return 结果
     */
    public int updateWtgTheorypowerData(WtgTheorypowerData wtgTheorypowerData);

    /**
     * 删除WtgTheorypowerData
     * 
     * @param wturNo WtgTheorypowerDataID
     * @return 结果
     */
    public int deleteWtgTheorypowerDataById(Long wturNo);

    /**
     * 批量删除WtgTheorypowerData
     * 
     * @param wturNos 需要删除的数据ID
     * @return 结果
     */
    public int deleteWtgTheorypowerDataByIds(String[] wturNos);
}
