package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.AreaDaEfDayData;

import java.util.List;

/**
 * AreaDaEfDayDataService接口
 *
 * @author hlf
 * @date 2021-08-11
 */
public interface IAreaDaEfDayDataService {
    /**
     * 查询AreaDaEfDayData
     *
     * @param areaNo AreaDaEfDayDataID
     * @return AreaDaEfDayData
     */
    public AreaDaEfDayData selectAreaDaEfDayDataById(Long areaNo);

    /**
     * 查询AreaDaEfDayData列表
     *
     * @param areaDaEfDayData AreaDaEfDayData
     * @return AreaDaEfDayData集合
     */
    public List<AreaDaEfDayData> selectAreaDaEfDayDataList(AreaDaEfDayData areaDaEfDayData);
}
