package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.AreaUspEfDayData;

import java.util.List;

/**
 * AreaUspEfDayDataService接口
 *
 * @author hlf
 * @date 2021-09-28
 */
public interface IAreaUspEfDayDataService {
    /**
     * 查询AreaUspEfDayData
     *
     * @param areaNo AreaUspEfDayDataID
     * @return AreaUspEfDayData
     */
    public AreaUspEfDayData selectAreaUspEfDayDataById(Long areaNo);

    /**
     * 查询AreaUspEfDayData列表
     *
     * @param areaUspEfDayData AreaUspEfDayData
     * @return AreaUspEfDayData集合
     */
    public List<AreaUspEfDayData> selectAreaUspEfDayDataList(AreaUspEfDayData areaUspEfDayData);
}
