package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.AreaUspTsPeriodData;

import java.util.List;

/**
 * AreaUspTsPeriodDataService接口
 *
 * @author hlf
 * @date 2021-10-27
 */
public interface IAreaUspTsPeriodDataService {
    /**
     * 查询AreaUspTsPeriodData
     *
     * @param areaNo AreaUspTsPeriodDataID
     * @return AreaUspTsPeriodData
     */
    public AreaUspTsPeriodData selectAreaUspTsPeriodDataById(Long areaNo);

    /**
     * 查询AreaUspTsPeriodData列表
     *
     * @param areaUspTsPeriodData AreaUspTsPeriodData
     * @return AreaUspTsPeriodData集合
     */
    public List<AreaUspTsPeriodData> selectAreaUspTsPeriodDataList(AreaUspTsPeriodData areaUspTsPeriodData);
}
