package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.CwDaEfMonthData;

import java.util.List;

/**
 * CwDaEfMonthDataService接口
 *
 * @author hlf
 * @date 2021-08-11
 */
public interface ICwDaEfMonthDataService {
    /**
     * 查询CwDaEfMonthData
     *
     * @param wfPrCwireNo CwDaEfMonthDataID
     * @return CwDaEfMonthData
     */
    public CwDaEfMonthData selectCwDaEfMonthDataById(Long wfPrCwireNo);

    /**
     * 查询CwDaEfMonthData列表
     *
     * @param cwDaEfMonthData CwDaEfMonthData
     * @return CwDaEfMonthData集合
     */
    public List<CwDaEfMonthData> selectCwDaEfMonthDataList(CwDaEfMonthData cwDaEfMonthData);
}
