package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.CwUspDayData;

import java.util.List;

/**
 * CwUspDayDataService接口
 *
 * @author hlf
 * @date 2021-12-28
 */
public interface ICwUspDayDataService {
    /**
     * 查询CwUspDayData
     *
     * @param wfPrCwireNo CwUspDayDataID
     * @return CwUspDayData
     */
    public CwUspDayData selectCwUspDayDataById(Long wfPrCwireNo);

    /**
     * 查询CwUspDayData列表
     *
     * @param cwUspDayData CwUspDayData
     * @return CwUspDayData集合
     */
    public List<CwUspDayData> selectCwUspDayDataList(CwUspDayData cwUspDayData);
}
