package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.CwUspMonthData;

import java.util.List;

/**
 * CwUspMonthDataService接口
 *
 * @author hlf
 * @date 2021-12-28
 */
public interface ICwUspMonthDataService {
    /**
     * 查询CwUspMonthData
     *
     * @param wfPrCwireNo CwUspMonthDataID
     * @return CwUspMonthData
     */
    public CwUspMonthData selectCwUspMonthDataById(Long wfPrCwireNo);

    /**
     * 查询CwUspMonthData列表
     *
     * @param cwUspMonthData CwUspMonthData
     * @return CwUspMonthData集合
     */
    public List<CwUspMonthData> selectCwUspMonthDataList(CwUspMonthData cwUspMonthData);
}
