package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.LpWfMonthData;

import java.util.Date;
import java.util.List;

/**
 * LpWfMonthDataService接口
 *
 * @author hlf
 * @date 2022-03-16
 */
public interface ILpWfMonthDataService {
    /**
     * 查询LpWfMonthData
     *
     * @param wfNo LpWfMonthDataID
     * @return LpWfMonthData
     */
    public LpWfMonthData selectLpWfMonthDataById(Long wfNo);

    /**
     * 查询LpWfMonthData列表
     *
     * @param lpWfMonthData LpWfMonthData
     * @return LpWfMonthData集合
     */
    public List<LpWfMonthData> selectLpWfMonthDataList(LpWfMonthData lpWfMonthData);

    List<LpWfMonthData> selectLpWfMonthData(Long wfNo, Date dataTime);
}
