package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.NoscalePrDaPfPeriodData;

import java.util.Date;
import java.util.List;

/**
 * NoscalePrDaPfPeriodDataService接口
 *
 * @author hlf
 * @date 2021-07-30
 */
public interface INoscalePrDaPfPeriodDataService {
    /**
     * 查询NoscalePrDaPfPeriodData
     *
     * @param wfPrNo NoscalePrDaPfPeriodDataID
     * @return NoscalePrDaPfPeriodData
     */
    public NoscalePrDaPfPeriodData selectNoscalePrDaPfPeriodDataById(Long wfPrNo);

    /**
     * 查询NoscalePrDaPfPeriodData列表
     *
     * @param noscalePrDaPfPeriodData NoscalePrDaPfPeriodData
     * @return NoscalePrDaPfPeriodData集合
     */
    public List<NoscalePrDaPfPeriodData> selectNoscalePrDaPfPeriodDataList(NoscalePrDaPfPeriodData noscalePrDaPfPeriodData);

    List<NoscalePrDaPfPeriodData> selectNoscalePrDaPfPeriodData(Long wfPrNo, Long modelNo, Date dataTime);
}
