package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.NoscaleWfDaEfPeriodData;

import java.util.Date;
import java.util.List;

/**
 * NoscaleWfDaEfPeriodDataService接口
 *
 * @author hlf
 * @date 2021-08-11
 */
public interface INoscaleWfDaEfPeriodDataService {
    /**
     * 查询NoscaleWfDaEfPeriodData
     *
     * @param windplantNo NoscaleWfDaEfPeriodDataID
     * @return NoscaleWfDaEfPeriodData
     */
    public NoscaleWfDaEfPeriodData selectNoscaleWfDaEfPeriodDataById(Long windplantNo);

    /**
     * 查询NoscaleWfDaEfPeriodData列表
     *
     * @param noscaleWfDaEfPeriodData NoscaleWfDaEfPeriodData
     * @return NoscaleWfDaEfPeriodData集合
     */
    public List<NoscaleWfDaEfPeriodData> selectNoscaleWfDaEfPeriodDataList(NoscaleWfDaEfPeriodData noscaleWfDaEfPeriodData);

    List<NoscaleWfDaEfPeriodData> selectNoscaleWfDaEfPeriodData(Long windplantNo, Long modelNo, Date dataTime);
}
