package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.NoscaleWfDaPfPeriodData;

import java.util.Date;
import java.util.List;

/**
 * NoscaleWfDaPfPeriodDataService接口
 *
 * @author hlf
 * @date 2021-07-07
 */
public interface INoscaleWfDaPfPeriodDataService {
    /**
     * 查询NoscaleWfDaPfPeriodData
     *
     * @param windplantNo NoscaleWfDaPfPeriodDataID
     * @return NoscaleWfDaPfPeriodData
     */
    public NoscaleWfDaPfPeriodData selectNoscaleWfDaPfPeriodDataById(Long windplantNo);

    /**
     * 查询NoscaleWfDaPfPeriodData列表
     *
     * @param noscaleWfDaPfPeriodData NoscaleWfDaPfPeriodData
     * @return NoscaleWfDaPfPeriodData集合
     */
    public List<NoscaleWfDaPfPeriodData> selectNoscaleWfDaPfPeriodDataList(NoscaleWfDaPfPeriodData noscaleWfDaPfPeriodData);

    NoscaleWfDaPfPeriodData selectNoscaleWfDaPfPeriodDataByJh(Long windplantNo, Long modelNo, Date dataTime);

    List<NoscaleWfDaPfPeriodData> selectNoscaleWfDaPfPeriodData(Long windplantNo, Long modelNo, Date dataTime);
}
