package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.NoscaleWtgDaEfPeriodData;

import java.util.List;

/**
 * NoscaleWtgDaEfPeriodDataService接口
 *
 * @author hlf
 * @date 2021-08-11
 */
public interface INoscaleWtgDaEfPeriodDataService {
    /**
     * 查询NoscaleWtgDaEfPeriodData
     *
     * @param wtgNo NoscaleWtgDaEfPeriodDataID
     * @return NoscaleWtgDaEfPeriodData
     */
    public NoscaleWtgDaEfPeriodData selectNoscaleWtgDaEfPeriodDataById(Long wtgNo);

    /**
     * 查询NoscaleWtgDaEfPeriodData列表
     *
     * @param noscaleWtgDaEfPeriodData NoscaleWtgDaEfPeriodData
     * @return NoscaleWtgDaEfPeriodData集合
     */
    public List<NoscaleWtgDaEfPeriodData> selectNoscaleWtgDaEfPeriodDataList(NoscaleWtgDaEfPeriodData noscaleWtgDaEfPeriodData);
}
