package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.NwpFileTime;

import java.util.List;

/**
 * NwpFileTimeService接口
 *
 * @author hlf
 * @date 2022-01-10
 */
public interface INwpFileTimeService {
    /**
     * 查询NwpFileTime
     *
     * @param windplantNo NwpFileTimeID
     * @return NwpFileTime
     */
    public NwpFileTime selectNwpFileTimeById(Long windplantNo);

    /**
     * 查询NwpFileTime列表
     *
     * @param nwpFileTime NwpFileTime
     * @return NwpFileTime集合
     */
    public List<NwpFileTime> selectNwpFileTimeList(NwpFileTime nwpFileTime);
}
