package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.PrTheoryenergyData;

import java.util.Date;
import java.util.List;

/**
 * PrTheoryenergyDataService接口
 * 
 * @author hlf
 * @date 2022-11-08
 */
public interface IPrTheoryenergyDataService 
{
    /**
     * 查询PrTheoryenergyData
     * 
     * @param windplantNo PrTheoryenergyDataID
     * @return PrTheoryenergyData
     */
    public PrTheoryenergyData selectPrTheoryenergyDataById(Long windplantNo);

    /**
     * 查询PrTheoryenergyData列表
     * 
     * @param prTheoryenergyData PrTheoryenergyData
     * @return PrTheoryenergyData集合
     */
    public List<PrTheoryenergyData> selectPrTheoryenergyDataList(PrTheoryenergyData prTheoryenergyData);

    List<PrTheoryenergyData> selectPrTheoryenergyData(Long windplantNo, Long projectNo, Date dataTime);
}
