package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.PrTheorypowerData;

import java.util.Date;
import java.util.List;

/**
 * PrTheorypowerDataService接口
 * 
 * @author hlf
 * @date 2022-11-08
 */
public interface IPrTheorypowerDataService 
{
    /**
     * 查询PrTheorypowerData
     * 
     * @param windplantNo PrTheorypowerDataID
     * @return PrTheorypowerData
     */
    public PrTheorypowerData selectPrTheorypowerDataById(Long windplantNo);

    /**
     * 查询PrTheorypowerData列表
     * 
     * @param prTheorypowerData PrTheorypowerData
     * @return PrTheorypowerData集合
     */
    public List<PrTheorypowerData> selectPrTheorypowerDataList(PrTheorypowerData prTheorypowerData);

    List<PrTheorypowerData> selectPrTheorypowerData(Long windplantNo, Long projectNo, Date dataTime);
}
