package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.ProjectDaEfMonthData;

import java.util.List;

/**
 * ProjectDaEfMonthDataService接口
 *
 * @author hlf
 * @date 2021-08-11
 */
public interface IProjectDaEfMonthDataService {
    /**
     * 查询ProjectDaEfMonthData
     *
     * @param wfPrNo ProjectDaEfMonthDataID
     * @return ProjectDaEfMonthData
     */
    public ProjectDaEfMonthData selectProjectDaEfMonthDataById(Long wfPrNo);

    /**
     * 查询ProjectDaEfMonthData列表
     *
     * @param projectDaEfMonthData ProjectDaEfMonthData
     * @return ProjectDaEfMonthData集合
     */
    public List<ProjectDaEfMonthData> selectProjectDaEfMonthDataList(ProjectDaEfMonthData projectDaEfMonthData);
}
