package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.ProjectUspEfMonthData;

import java.util.List;

/**
 * ProjectUspEfMonthDataService接口
 *
 * @author hlf
 * @date 2021-09-28
 */
public interface IProjectUspEfMonthDataService {
    /**
     * 查询ProjectUspEfMonthData
     *
     * @param projectNo ProjectUspEfMonthDataID
     * @return ProjectUspEfMonthData
     */
    public ProjectUspEfMonthData selectProjectUspEfMonthDataById(Long projectNo);

    /**
     * 查询ProjectUspEfMonthData列表
     *
     * @param projectUspEfMonthData ProjectUspEfMonthData
     * @return ProjectUspEfMonthData集合
     */
    public List<ProjectUspEfMonthData> selectProjectUspEfMonthDataList(ProjectUspEfMonthData projectUspEfMonthData);
}
