package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.PstatModel;

import java.util.List;

/**
 * PstatModelService接口
 * 
 * @author hlf
 * @date 2022-01-26
 */
public interface IPstatModelService 
{
    /**
     * 查询PstatModel
     * 
     * @param pstatNo PstatModelID
     * @return PstatModel
     */
    public PstatModel selectPstatModelById(Long pstatNo);

    /**
     * 查询PstatModel列表
     * 
     * @param pstatModel PstatModel
     * @return PstatModel集合
     */
    public List<PstatModel> selectPstatModelList(PstatModel pstatModel);
}
