package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.PvDaPfDayData;

import java.util.List;

/**
 * PvDaPfDayDataService接口
 * 
 * @author hlf
 * @date 2022-07-11
 */
public interface IPvDaPfDayDataService 
{
    /**
     * 查询PvDaPfDayData
     * 
     * @param pvplantNo PvDaPfDayDataID
     * @return PvDaPfDayData
     */
    public PvDaPfDayData selectPvDaPfDayDataById(Long pvplantNo);

    /**
     * 查询PvDaPfDayData列表
     * 
     * @param pvDaPfDayData PvDaPfDayData
     * @return PvDaPfDayData集合
     */
    public List<PvDaPfDayData> selectPvDaPfDayDataList(PvDaPfDayData pvDaPfDayData);
}
