package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.PvDaPfPeriodData;

import java.util.Date;
import java.util.List;

/**
 * PvDaPfPeriodDataService接口
 * 
 * @author hlf
 * @date 2022-07-11
 */
public interface IPvDaPfPeriodDataService 
{
    /**
     * 查询PvDaPfPeriodData
     * 
     * @param pvNo PvDaPfPeriodDataID
     * @return PvDaPfPeriodData
     */
    public PvDaPfPeriodData selectPvDaPfPeriodDataById(Long pvNo);

    /**
     * 查询PvDaPfPeriodData列表
     * 
     * @param pvDaPfPeriodData PvDaPfPeriodData
     * @return PvDaPfPeriodData集合
     */
    public List<PvDaPfPeriodData> selectPvDaPfPeriodDataList(PvDaPfPeriodData pvDaPfPeriodData);

    PvDaPfPeriodData selectPvDaPfPeriodData(Long pvNo, Long modelNo, Date dataTime);
}
