package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.PvUspPfPara;

import java.util.List;

/**
 * PvUspPfParaService接口
 *
 * @author hlf
 * @date 2022-07-13
 */
public interface IPvUspPfParaService {
    /**
     * 查询PvUspPfPara
     *
     * @param pvNo PvUspPfParaID
     * @return PvUspPfPara
     */
    public PvUspPfPara selectPvUspPfParaById(Long pvNo, Long modelNo);

    /**
     * 查询PvUspPfPara列表
     *
     * @param pvUspPfPara PvUspPfPara
     * @return PvUspPfPara集合
     */
    public List<PvUspPfPara> selectPvUspPfParaList(PvUspPfPara pvUspPfPara);

    /**
     * 新增PvUspPfPara
     *
     * @param pvUspPfPara PvUspPfPara
     * @return 结果
     */
    public int insertPvUspPfPara(PvUspPfPara pvUspPfPara);

    /**
     * 修改PvUspPfPara
     *
     * @param pvUspPfPara PvUspPfPara
     * @return 结果
     */
    public int updatePvUspPfPara(PvUspPfPara pvUspPfPara);

    /**
     * 删除PvUspPfPara信息
     *
     * @param pvNo PvUspPfParaID
     * @return 结果
     */
    public int deletePvUspPfParaById(Long pvNo, Long modelNo);
}
