package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.UploadPfValueConfig;

import java.util.List;

/**
 * UploadPfValueConfigService接口
 *
 * @author hlf
 * @date 2022-01-10
 */
public interface IUploadPfValueConfigService {
    /**
     * 查询UploadPfValueConfig
     *
     * @param pfNo UploadPfValueConfigID
     * @return UploadPfValueConfig
     */
    public UploadPfValueConfig selectUploadPfValueConfigById(Long pfNo);

    /**
     * 查询UploadPfValueConfig列表
     *
     * @param uploadPfValueConfig UploadPfValueConfig
     * @return UploadPfValueConfig集合
     */
    public List<UploadPfValueConfig> selectUploadPfValueConfigList(UploadPfValueConfig uploadPfValueConfig);
}
