package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WeatherForecast;

import java.util.Date;
import java.util.List;

/**
 * WeatherForecastService接口
 * 
 * @author hlf
 * @date 2022-09-21
 */
public interface IWeatherForecastService 
{
    /**
     * 查询WeatherForecast
     * 
     * @param terminalNumber WeatherForecastID
     * @return WeatherForecast
     */
    public WeatherForecast selectWeatherForecastById(Long terminalNumber, Date dataTime);

    /**
     * 查询WeatherForecast列表
     * 
     * @param weatherForecast WeatherForecast
     * @return WeatherForecast集合
     */
    public List<WeatherForecast> selectWeatherForecastList(WeatherForecast weatherForecast);

    /**
     * 新增WeatherForecast
     * 
     * @param weatherForecast WeatherForecast
     * @return 结果
     */
    public int insertWeatherForecast(WeatherForecast weatherForecast);

    /**
     * 修改WeatherForecast
     * 
     * @param weatherForecast WeatherForecast
     * @return 结果
     */
    public int updateWeatherForecast(WeatherForecast weatherForecast);
}
