package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WfDaEfPara;

import java.util.List;

/**
 * WfDaEfParaService接口
 *
 * @author hlf
 * @date 2021-08-11
 */
public interface IWfDaEfParaService {
    /**
     * 查询WfDaEfPara
     *
     * @param windplantNo WfDaEfParaID
     * @return WfDaEfPara
     */
    public WfDaEfPara selectWfDaEfParaById(Long windplantNo, Long modelNo);

    /**
     * 查询WfDaEfPara列表
     *
     * @param wfDaEfPara WfDaEfPara
     * @return WfDaEfPara集合
     */
    public List<WfDaEfPara> selectWfDaEfParaList(WfDaEfPara wfDaEfPara);

    /**
     * 新增WfDaEfPara
     *
     * @param wfDaEfPara WfDaEfPara
     * @return 结果
     */
    public int insertWfDaEfPara(WfDaEfPara wfDaEfPara);

    /**
     * 修改WfDaEfPara
     *
     * @param wfDaEfPara WfDaEfPara
     * @return 结果
     */
    public int updateWfDaEfPara(WfDaEfPara wfDaEfPara);

    /**
     * 删除WfDaEfPara信息
     *
     * @param windplantNo WfDaEfParaID
     * @return 结果
     */
    public int deleteWfDaEfParaById(Long windplantNo, Long modelNo);
}
