package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WfDaPfErrInterval;

import java.util.Date;
import java.util.List;

/**
 * WfDaPfErrIntervalService接口
 *
 * @author hlf
 * @date 2021-07-07
 */
public interface IWfDaPfErrIntervalService {
    /**
     * 查询WfDaPfErrInterval
     *
     * @param windplantNo WfDaPfErrIntervalID
     * @return WfDaPfErrInterval
     */
    public WfDaPfErrInterval selectWfDaPfErrIntervalById(Long windplantNo);

    /**
     * 查询WfDaPfErrInterval列表
     *
     * @param wfDaPfErrInterval WfDaPfErrInterval
     * @return WfDaPfErrInterval集合
     */
    public List<WfDaPfErrInterval> selectWfDaPfErrIntervalList(WfDaPfErrInterval wfDaPfErrInterval);

    WfDaPfErrInterval selectWfDaPfErrInterval(Long windplantNo, Long modelNo, Date dateTime);
}
