package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WfDaPfMonthData;

import java.util.Date;
import java.util.List;

/**
 * WfDaPfMonthDataService接口
 *
 * @author hlf
 * @date 2021-07-14
 */
public interface IWfDaPfMonthDataService {
    /**
     * 查询WfDaPfMonthData
     *
     * @param windplantNo WfDaPfMonthDataID
     * @return WfDaPfMonthData
     */
    public WfDaPfMonthData selectWfDaPfMonthDataById(Long windplantNo);

    /**
     * 查询WfDaPfMonthData列表
     *
     * @param wfDaPfMonthData WfDaPfMonthData
     * @return WfDaPfMonthData集合
     */
    public List<WfDaPfMonthData> selectWfDaPfMonthDataList(WfDaPfMonthData wfDaPfMonthData);

    WfDaPfMonthData selectWfDaPfMonthData(Long windplantNo, Long modelNo, Date dateTime);
}
