package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WfUspEfPara;

import java.util.List;

/**
 * WfUspEfParaService接口
 *
 * @author hlf
 * @date 2021-09-28
 */
public interface IWfUspEfParaService {
    /**
     * 查询WfUspEfPara
     *
     * @param windplantNo WfUspEfParaID
     * @return WfUspEfPara
     */
    public WfUspEfPara selectWfUspEfParaById(Long windplantNo, Long modelNo);

    /**
     * 查询WfUspEfPara列表
     *
     * @param wfUspEfPara WfUspEfPara
     * @return WfUspEfPara集合
     */
    public List<WfUspEfPara> selectWfUspEfParaList(WfUspEfPara wfUspEfPara);

    /**
     * 新增WfUspEfPara
     *
     * @param wfUspEfPara WfUspEfPara
     * @return 结果
     */
    public int insertWfUspEfPara(WfUspEfPara wfUspEfPara);

    /**
     * 修改WfUspEfPara
     *
     * @param wfUspEfPara WfUspEfPara
     * @return 结果
     */
    public int updateWfUspEfPara(WfUspEfPara wfUspEfPara);

    /**
     * 删除WfUspEfPara信息
     *
     * @param windplantNo WfUspEfParaID
     * @return 结果
     */
    public int deleteWfUspEfParaById(Long windplantNo, Long modelNo);
}
