package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WfUspMonthData;

import java.util.Date;
import java.util.List;

/**
 * WfUspMonthDataService接口
 *
 * @author hlf
 * @date 2021-08-16
 */
public interface IWfUspMonthDataService {
    /**
     * 查询WfUspMonthData
     *
     * @param windplantNo WfUspMonthDataID
     * @return WfUspMonthData
     */
    public WfUspMonthData selectWfUspMonthDataById(Long windplantNo);

    /**
     * 查询WfUspMonthData列表
     *
     * @param wfUspMonthData WfUspMonthData
     * @return WfUspMonthData集合
     */
    public List<WfUspMonthData> selectWfUspMonthDataList(WfUspMonthData wfUspMonthData);

    WfUspMonthData selectWfUspMonthData(Long windplantNo, Long modelNo, Long timeScale, Date dateTime);
}
