package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WfUspPfErrInterval;

import java.util.Date;
import java.util.List;

/**
 * WfUspPfErrIntervalService接口
 *
 * @author hlf
 * @date 2021-09-06
 */
public interface IWfUspPfErrIntervalService {
    /**
     * 查询WfUspPfErrInterval
     *
     * @param windplantNo WfUspPfErrIntervalID
     * @return WfUspPfErrInterval
     */
    public WfUspPfErrInterval selectWfUspPfErrIntervalById(Long windplantNo);

    /**
     * 查询WfUspPfErrInterval列表
     *
     * @param wfUspPfErrInterval WfUspPfErrInterval
     * @return WfUspPfErrInterval集合
     */
    public List<WfUspPfErrInterval> selectWfUspPfErrIntervalList(WfUspPfErrInterval wfUspPfErrInterval);

    WfUspPfErrInterval selectWfUspPfErrInterval(Long windplantNo, Long modelNo, Long timeScale, Date dateTime);
}
