package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WpuspSvrPara;

import java.util.List;

/**
 * WpuspSvrParaService接口
 *
 * @author hlf
 * @date 2021-08-11
 */
public interface IWpuspSvrParaService {
    /**
     * 查询WpuspSvrPara
     *
     * @param windplantNo WpuspSvrParaID
     * @return WpuspSvrPara
     */
    public WpuspSvrPara selectWpuspSvrParaById(Long windplantNo);

    /**
     * 查询WpuspSvrPara列表
     *
     * @param wpuspSvrPara WpuspSvrPara
     * @return WpuspSvrPara集合
     */
    public List<WpuspSvrPara> selectWpuspSvrParaList(WpuspSvrPara wpuspSvrPara);
}
