package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WtgDaEfDayData;

import java.util.Date;
import java.util.List;

/**
 * WtgDaEfDayDataService接口
 *
 * @author hlf
 * @date 2021-08-11
 */
public interface IWtgDaEfDayDataService {
    /**
     * 查询WtgDaEfDayData
     *
     * @param wturNo WtgDaEfDayDataID
     * @return WtgDaEfDayData
     */
    public WtgDaEfDayData selectWtgDaEfDayDataById(Long wturNo);

    /**
     * 查询WtgDaEfDayData列表
     *
     * @param wtgDaEfDayData WtgDaEfDayData
     * @return WtgDaEfDayData集合
     */
    public List<WtgDaEfDayData> selectWtgDaEfDayDataList(WtgDaEfDayData wtgDaEfDayData);

    WtgDaEfDayData selectWtgDaEfDayData(Long wtgNo, Long modelNo, Date dateTime);
}
