package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WtgDaEfMonthData;

import java.util.Date;
import java.util.List;

/**
 * WtgDaEfMonthDataService接口
 *
 * @author hlf
 * @date 2021-08-11
 */
public interface IWtgDaEfMonthDataService {
    /**
     * 查询WtgDaEfMonthData
     *
     * @param wturNo WtgDaEfMonthDataID
     * @return WtgDaEfMonthData
     */
    public WtgDaEfMonthData selectWtgDaEfMonthDataById(Long wturNo);

    /**
     * 查询WtgDaEfMonthData列表
     *
     * @param wtgDaEfMonthData WtgDaEfMonthData
     * @return WtgDaEfMonthData集合
     */
    public List<WtgDaEfMonthData> selectWtgDaEfMonthDataList(WtgDaEfMonthData wtgDaEfMonthData);

    WtgDaEfMonthData selectWtgDaEfMonthData(Long wtgNo, Long modelNo, Date dateTime);
}
