package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WtgDaPfMonthData;

import java.util.Date;
import java.util.List;

/**
 * WtgDaPfMonthDataService接口
 *
 * @author hlf
 * @date 2021-08-06
 */
public interface IWtgDaPfMonthDataService {
    /**
     * 查询WtgDaPfMonthData
     *
     * @param wturNo WtgDaPfMonthDataID
     * @return WtgDaPfMonthData
     */
    public WtgDaPfMonthData selectWtgDaPfMonthDataById(Long wturNo);

    /**
     * 查询WtgDaPfMonthData列表
     *
     * @param wtgDaPfMonthData WtgDaPfMonthData
     * @return WtgDaPfMonthData集合
     */
    public List<WtgDaPfMonthData> selectWtgDaPfMonthDataList(WtgDaPfMonthData wtgDaPfMonthData);

    WtgDaPfMonthData selectWtgDaPfMonthData(Long wtgNo, Long modelNo, Date dateTime);
}
