package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.AreaDaEfDayData;
import com.ruoyi.predict.mapper.AreaDaEfDayDataMapper;
import com.ruoyi.predict.service.IAreaDaEfDayDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * AreaDaEfDayDataService业务层处理
 *
 * @author hlf
 * @date 2021-08-11
 */
@Service
public class AreaDaEfDayDataServiceImpl implements IAreaDaEfDayDataService {
    @Autowired(required = false)
    private AreaDaEfDayDataMapper areaDaEfDayDataMapper;

    /**
     * 查询AreaDaEfDayData
     *
     * @param areaNo AreaDaEfDayDataID
     * @return AreaDaEfDayData
     */
    @Override
    public AreaDaEfDayData selectAreaDaEfDayDataById(Long areaNo) {
        return areaDaEfDayDataMapper.selectAreaDaEfDayDataById(areaNo);
    }

    /**
     * 查询AreaDaEfDayData列表
     *
     * @param areaDaEfDayData AreaDaEfDayData
     * @return AreaDaEfDayData
     */
    @Override
    public List<AreaDaEfDayData> selectAreaDaEfDayDataList(AreaDaEfDayData areaDaEfDayData) {
        return areaDaEfDayDataMapper.selectAreaDaEfDayDataList(areaDaEfDayData);
    }
}
