package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.AreaUspEfMonthData;
import com.ruoyi.predict.mapper.AreaUspEfMonthDataMapper;
import com.ruoyi.predict.service.IAreaUspEfMonthDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * AreaUspEfMonthDataService业务层处理
 *
 * @author hlf
 * @date 2021-09-28
 */
@Service
public class AreaUspEfMonthDataServiceImpl implements IAreaUspEfMonthDataService {
    @Autowired(required = false)
    private AreaUspEfMonthDataMapper areaUspEfMonthDataMapper;

    /**
     * 查询AreaUspEfMonthData
     *
     * @param areaNo AreaUspEfMonthDataID
     * @return AreaUspEfMonthData
     */
    @Override
    public AreaUspEfMonthData selectAreaUspEfMonthDataById(Long areaNo) {
        return areaUspEfMonthDataMapper.selectAreaUspEfMonthDataById(areaNo);
    }

    /**
     * 查询AreaUspEfMonthData列表
     *
     * @param areaUspEfMonthData AreaUspEfMonthData
     * @return AreaUspEfMonthData
     */
    @Override
    public List<AreaUspEfMonthData> selectAreaUspEfMonthDataList(AreaUspEfMonthData areaUspEfMonthData) {
        return areaUspEfMonthDataMapper.selectAreaUspEfMonthDataList(areaUspEfMonthData);
    }
}
