package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.AreaUspEfTsPeriodData;
import com.ruoyi.predict.mapper.AreaUspEfTsPeriodDataMapper;
import com.ruoyi.predict.service.IAreaUspEfTsPeriodDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * AreaUspEfTsPeriodDataService业务层处理
 *
 * @author hlf
 * @date 2021-09-28
 */
@Service
public class AreaUspEfTsPeriodDataServiceImpl implements IAreaUspEfTsPeriodDataService {
    @Autowired(required = false)
    private AreaUspEfTsPeriodDataMapper areaUspEfTsPeriodDataMapper;

    /**
     * 查询AreaUspEfTsPeriodData
     *
     * @param areaNo AreaUspEfTsPeriodDataID
     * @return AreaUspEfTsPeriodData
     */
    @Override
    public AreaUspEfTsPeriodData selectAreaUspEfTsPeriodDataById(Long areaNo) {
        return areaUspEfTsPeriodDataMapper.selectAreaUspEfTsPeriodDataById(areaNo);
    }

    /**
     * 查询AreaUspEfTsPeriodData列表
     *
     * @param areaUspEfTsPeriodData AreaUspEfTsPeriodData
     * @return AreaUspEfTsPeriodData
     */
    @Override
    public List<AreaUspEfTsPeriodData> selectAreaUspEfTsPeriodDataList(AreaUspEfTsPeriodData areaUspEfTsPeriodData) {
        return areaUspEfTsPeriodDataMapper.selectAreaUspEfTsPeriodDataList(areaUspEfTsPeriodData);
    }
}
