package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.CwDaEfMonthData;
import com.ruoyi.predict.mapper.CwDaEfMonthDataMapper;
import com.ruoyi.predict.service.ICwDaEfMonthDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * CwDaEfMonthDataService业务层处理
 *
 * @author hlf
 * @date 2021-08-11
 */
@Service
public class CwDaEfMonthDataServiceImpl implements ICwDaEfMonthDataService {
    @Autowired(required = false)
    private CwDaEfMonthDataMapper cwDaEfMonthDataMapper;

    /**
     * 查询CwDaEfMonthData
     *
     * @param wfPrCwireNo CwDaEfMonthDataID
     * @return CwDaEfMonthData
     */
    @Override
    public CwDaEfMonthData selectCwDaEfMonthDataById(Long wfPrCwireNo) {
        return cwDaEfMonthDataMapper.selectCwDaEfMonthDataById(wfPrCwireNo);
    }

    /**
     * 查询CwDaEfMonthData列表
     *
     * @param cwDaEfMonthData CwDaEfMonthData
     * @return CwDaEfMonthData
     */
    @Override
    public List<CwDaEfMonthData> selectCwDaEfMonthDataList(CwDaEfMonthData cwDaEfMonthData) {
        return cwDaEfMonthDataMapper.selectCwDaEfMonthDataList(cwDaEfMonthData);
    }
}
