package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.CwUspDayData;
import com.ruoyi.predict.mapper.CwUspDayDataMapper;
import com.ruoyi.predict.service.ICwUspDayDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * CwUspDayDataService业务层处理
 *
 * @author hlf
 * @date 2021-12-28
 */
@Service
public class CwUspDayDataServiceImpl implements ICwUspDayDataService {
    @Autowired(required = false)
    private CwUspDayDataMapper cwUspDayDataMapper;

    /**
     * 查询CwUspDayData
     *
     * @param wfPrCwireNo CwUspDayDataID
     * @return CwUspDayData
     */
    @Override
    public CwUspDayData selectCwUspDayDataById(Long wfPrCwireNo) {
        return cwUspDayDataMapper.selectCwUspDayDataById(wfPrCwireNo);
    }

    /**
     * 查询CwUspDayData列表
     *
     * @param cwUspDayData CwUspDayData
     * @return CwUspDayData
     */
    @Override
    public List<CwUspDayData> selectCwUspDayDataList(CwUspDayData cwUspDayData) {
        return cwUspDayDataMapper.selectCwUspDayDataList(cwUspDayData);
    }
}
