package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.CwUspTsPeriodData;
import com.ruoyi.predict.mapper.CwUspTsPeriodDataMapper;
import com.ruoyi.predict.service.ICwUspTsPeriodDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * CwUspTsPeriodDataService业务层处理
 *
 * @author hlf
 * @date 2021-12-28
 */
@Service
public class CwUspTsPeriodDataServiceImpl implements ICwUspTsPeriodDataService {
    @Autowired(required = false)
    private CwUspTsPeriodDataMapper cwUspTsPeriodDataMapper;

    /**
     * 查询CwUspTsPeriodData
     *
     * @param wfPrCwireNo CwUspTsPeriodDataID
     * @return CwUspTsPeriodData
     */
    @Override
    public CwUspTsPeriodData selectCwUspTsPeriodDataById(Long wfPrCwireNo) {
        return cwUspTsPeriodDataMapper.selectCwUspTsPeriodDataById(wfPrCwireNo);
    }

    /**
     * 查询CwUspTsPeriodData列表
     *
     * @param cwUspTsPeriodData CwUspTsPeriodData
     * @return CwUspTsPeriodData
     */
    @Override
    public List<CwUspTsPeriodData> selectCwUspTsPeriodDataList(CwUspTsPeriodData cwUspTsPeriodData) {
        return cwUspTsPeriodDataMapper.selectCwUspTsPeriodDataList(cwUspTsPeriodData);
    }
}
