package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.NoscalePrDaPfPeriodData;
import com.ruoyi.predict.mapper.NoscalePrDaPfPeriodDataMapper;
import com.ruoyi.predict.service.INoscalePrDaPfPeriodDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * NoscalePrDaPfPeriodDataService业务层处理
 *
 * @author hlf
 * @date 2021-07-30
 */
@Service
public class NoscalePrDaPfPeriodDataServiceImpl implements INoscalePrDaPfPeriodDataService {
    @Autowired(required = false)
    private NoscalePrDaPfPeriodDataMapper noscalePrDaPfPeriodDataMapper;

    /**
     * 查询NoscalePrDaPfPeriodData
     *
     * @param wfPrNo NoscalePrDaPfPeriodDataID
     * @return NoscalePrDaPfPeriodData
     */
    @Override
    public NoscalePrDaPfPeriodData selectNoscalePrDaPfPeriodDataById(Long wfPrNo) {
        return noscalePrDaPfPeriodDataMapper.selectNoscalePrDaPfPeriodDataById(wfPrNo);
    }

    /**
     * 查询NoscalePrDaPfPeriodData列表
     *
     * @param noscalePrDaPfPeriodData NoscalePrDaPfPeriodData
     * @return NoscalePrDaPfPeriodData
     */
    @Override
    public List<NoscalePrDaPfPeriodData> selectNoscalePrDaPfPeriodDataList(NoscalePrDaPfPeriodData noscalePrDaPfPeriodData) {
        return noscalePrDaPfPeriodDataMapper.selectNoscalePrDaPfPeriodDataList(noscalePrDaPfPeriodData);
    }

    @Override
    public List<NoscalePrDaPfPeriodData> selectNoscalePrDaPfPeriodData(Long wfPrNo, Long modelNo, Date dataTime) {
        return noscalePrDaPfPeriodDataMapper.selectNoscalePrDaPfPeriodData(wfPrNo, modelNo, dataTime);
    }
}
