package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.NoscaleWfDaEfPeriodData;
import com.ruoyi.predict.mapper.NoscaleWfDaEfPeriodDataMapper;
import com.ruoyi.predict.service.INoscaleWfDaEfPeriodDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * NoscaleWfDaEfPeriodDataService业务层处理
 *
 * @author hlf
 * @date 2021-08-11
 */
@Service
public class NoscaleWfDaEfPeriodDataServiceImpl implements INoscaleWfDaEfPeriodDataService {
    @Autowired(required = false)
    private NoscaleWfDaEfPeriodDataMapper noscaleWfDaEfPeriodDataMapper;

    /**
     * 查询NoscaleWfDaEfPeriodData
     *
     * @param windplantNo NoscaleWfDaEfPeriodDataID
     * @return NoscaleWfDaEfPeriodData
     */
    @Override
    public NoscaleWfDaEfPeriodData selectNoscaleWfDaEfPeriodDataById(Long windplantNo) {
        return noscaleWfDaEfPeriodDataMapper.selectNoscaleWfDaEfPeriodDataById(windplantNo);
    }

    /**
     * 查询NoscaleWfDaEfPeriodData列表
     *
     * @param noscaleWfDaEfPeriodData NoscaleWfDaEfPeriodData
     * @return NoscaleWfDaEfPeriodData
     */
    @Override
    public List<NoscaleWfDaEfPeriodData> selectNoscaleWfDaEfPeriodDataList(NoscaleWfDaEfPeriodData noscaleWfDaEfPeriodData) {
        return noscaleWfDaEfPeriodDataMapper.selectNoscaleWfDaEfPeriodDataList(noscaleWfDaEfPeriodData);
    }

    @Override
    public List<NoscaleWfDaEfPeriodData> selectNoscaleWfDaEfPeriodData(Long windplantNo, Long modelNo, Date dataTime) {
        return noscaleWfDaEfPeriodDataMapper.selectNoscaleWfDaEfPeriodData(windplantNo, modelNo, dataTime);
    }
}
