package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.NwpFileTime;
import com.ruoyi.predict.mapper.NwpFileTimeMapper;
import com.ruoyi.predict.service.INwpFileTimeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * NwpFileTimeService业务层处理
 *
 * @author hlf
 * @date 2022-01-10
 */
@Service
public class NwpFileTimeServiceImpl implements INwpFileTimeService {
    @Autowired(required = false)
    private NwpFileTimeMapper nwpFileTimeMapper;

    /**
     * 查询NwpFileTime
     *
     * @param windplantNo NwpFileTimeID
     * @return NwpFileTime
     */
    @Override
    public NwpFileTime selectNwpFileTimeById(Long windplantNo) {
        return nwpFileTimeMapper.selectNwpFileTimeById(windplantNo);
    }

    /**
     * 查询NwpFileTime列表
     *
     * @param nwpFileTime NwpFileTime
     * @return NwpFileTime
     */
    @Override
    public List<NwpFileTime> selectNwpFileTimeList(NwpFileTime nwpFileTime) {
        return nwpFileTimeMapper.selectNwpFileTimeList(nwpFileTime);
    }
}
