package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.PfEvaRulsDayData;
import com.ruoyi.predict.mapper.PfEvaRulsDayDataMapper;
import com.ruoyi.predict.service.IPfEvaRulsDayDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * PfEvaRulsDayDataService业务层处理
 *
 * @author hlf
 * @date 2021-11-10
 */
@Service
public class PfEvaRulsDayDataServiceImpl implements IPfEvaRulsDayDataService {
    @Autowired(required = false)
    private PfEvaRulsDayDataMapper pfEvaRulsDayDataMapper;

    /**
     * 查询PfEvaRulsDayData
     *
     * @param rtuNo PfEvaRulsDayDataID
     * @return PfEvaRulsDayData
     */
    @Override
    public PfEvaRulsDayData selectPfEvaRulsDayDataById(Long rtuNo) {
        return pfEvaRulsDayDataMapper.selectPfEvaRulsDayDataById(rtuNo);
    }

    /**
     * 查询PfEvaRulsDayData列表
     *
     * @param pfEvaRulsDayData PfEvaRulsDayData
     * @return PfEvaRulsDayData
     */
    @Override
    public List<PfEvaRulsDayData> selectPfEvaRulsDayDataList(PfEvaRulsDayData pfEvaRulsDayData) {
        return pfEvaRulsDayDataMapper.selectPfEvaRulsDayDataList(pfEvaRulsDayData);
    }
}
