package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.PvDaPfErrInterval;
import com.ruoyi.predict.mapper.PvDaPfErrIntervalMapper;
import com.ruoyi.predict.service.IPvDaPfErrIntervalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * PvDaPfErrIntervalService业务层处理
 *
 * @author hlf
 * @date 2022-07-18
 */
@Service
public class PvDaPfErrIntervalServiceImpl implements IPvDaPfErrIntervalService {
    @Autowired(required = false)
    private PvDaPfErrIntervalMapper pvDaPfErrIntervalMapper;

    /**
     * 查询PvDaPfErrInterval
     *
     * @param pvNo PvDaPfErrIntervalID
     * @return PvDaPfErrInterval
     */
    @Override
    public PvDaPfErrInterval selectPvDaPfErrIntervalById(Long pvNo) {
        return pvDaPfErrIntervalMapper.selectPvDaPfErrIntervalById(pvNo);
    }

    /**
     * 查询PvDaPfErrInterval列表
     *
     * @param pvDaPfErrInterval PvDaPfErrInterval
     * @return PvDaPfErrInterval
     */
    @Override
    public List<PvDaPfErrInterval> selectPvDaPfErrIntervalList(PvDaPfErrInterval pvDaPfErrInterval) {
        return pvDaPfErrIntervalMapper.selectPvDaPfErrIntervalList(pvDaPfErrInterval);
    }
}
