package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.PvDaPfMonthData;
import com.ruoyi.predict.mapper.PvDaPfMonthDataMapper;
import com.ruoyi.predict.service.IPvDaPfMonthDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * PvDaPfMonthDataService业务层处理
 * 
 * @author hlf
 * @date 2022-07-11
 */
@Service
public class PvDaPfMonthDataServiceImpl implements IPvDaPfMonthDataService 
{
    @Autowired(required = false)
    private PvDaPfMonthDataMapper pvDaPfMonthDataMapper;

    /**
     * 查询PvDaPfMonthData
     * 
     * @param pvplantNo PvDaPfMonthDataID
     * @return PvDaPfMonthData
     */
    @Override
    public PvDaPfMonthData selectPvDaPfMonthDataById(Long pvplantNo)
    {
        return pvDaPfMonthDataMapper.selectPvDaPfMonthDataById(pvplantNo);
    }

    /**
     * 查询PvDaPfMonthData列表
     *
     * @param pvDaPfMonthData PvDaPfMonthData
     * @return PvDaPfMonthData
     */
    @Override
    public List<PvDaPfMonthData> selectPvDaPfMonthDataList(PvDaPfMonthData pvDaPfMonthData)
    {
        return pvDaPfMonthDataMapper.selectPvDaPfMonthDataList(pvDaPfMonthData);
    }
}
