package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.PvImmbNwp;
import com.ruoyi.predict.mapper.PvImmbNwpMapper;
import com.ruoyi.predict.service.IPvImmbNwpService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * PvImmbNwpService业务层处理
 * 
 * @author hlf
 * @date 2022-07-11
 */
@Service
public class PvImmbNwpServiceImpl implements IPvImmbNwpService 
{
    @Autowired(required = false)
    private PvImmbNwpMapper pvImmbNwpMapper;

    /**
     * 查询PvImmbNwp
     * 
     * @param pvNo PvImmbNwpID
     * @return PvImmbNwp
     */
    @Override
    public PvImmbNwp selectPvImmbNwpById(Long pvNo)
    {
        return pvImmbNwpMapper.selectPvImmbNwpById(pvNo);
    }

    /**
     * 查询PvImmbNwp列表
     * 
     * @param pvImmbNwp PvImmbNwp
     * @return PvImmbNwp
     */
    @Override
    public List<PvImmbNwp> selectPvImmbNwpList(PvImmbNwp pvImmbNwp)
    {
        return pvImmbNwpMapper.selectPvImmbNwpList(pvImmbNwp);
    }
}
