package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.PvUspDayData;
import com.ruoyi.predict.mapper.PvUspDayDataMapper;
import com.ruoyi.predict.service.IPvUspDayDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * PvUspDayDataService业务层处理
 * 
 * @author hlf
 * @date 2022-07-13
 */
@Service
public class PvUspDayDataServiceImpl implements IPvUspDayDataService 
{
    @Autowired(required = false)
    private PvUspDayDataMapper pvUspDayDataMapper;

    /**
     * 查询PvUspDayData
     * 
     * @param pvNo PvUspDayDataID
     * @return PvUspDayData
     */
    @Override
    public PvUspDayData selectPvUspDayDataById(Long pvNo)
    {
        return pvUspDayDataMapper.selectPvUspDayDataById(pvNo);
    }

    /**
     * 查询PvUspDayData列表
     * 
     * @param pvUspDayData PvUspDayData
     * @return PvUspDayData
     */
    @Override
    public List<PvUspDayData> selectPvUspDayDataList(PvUspDayData pvUspDayData)
    {
        return pvUspDayDataMapper.selectPvUspDayDataList(pvUspDayData);
    }
}
