package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.PvUspPfErrInterval;
import com.ruoyi.predict.mapper.PvUspPfErrIntervalMapper;
import com.ruoyi.predict.service.IPvUspPfErrIntervalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * PvUspPfErrIntervalService业务层处理
 * 
 * @author hlf
 * @date 2022-07-19
 */
@Service
public class PvUspPfErrIntervalServiceImpl implements IPvUspPfErrIntervalService 
{
    @Autowired(required = false)
    private PvUspPfErrIntervalMapper pvUspPfErrIntervalMapper;

    /**
     * 查询PvUspPfErrInterval
     * 
     * @param pvNo PvUspPfErrIntervalID
     * @return PvUspPfErrInterval
     */
    @Override
    public PvUspPfErrInterval selectPvUspPfErrIntervalById(Long pvNo)
    {
        return pvUspPfErrIntervalMapper.selectPvUspPfErrIntervalById(pvNo);
    }

    /**
     * 查询PvUspPfErrInterval列表
     * 
     * @param pvUspPfErrInterval PvUspPfErrInterval
     * @return PvUspPfErrInterval
     */
    @Override
    public List<PvUspPfErrInterval> selectPvUspPfErrIntervalList(PvUspPfErrInterval pvUspPfErrInterval)
    {
        return pvUspPfErrIntervalMapper.selectPvUspPfErrIntervalList(pvUspPfErrInterval);
    }
}
