package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.WfPrUtilizationhours;
import com.ruoyi.predict.mapper.WfPrUtilizationhoursMapper;
import com.ruoyi.predict.service.IWfPrUtilizationhoursService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * WfPrUtilizationhoursService业务层处理
 * 
 * @author hlf
 * @date 2022-11-09
 */
@Service
public class WfPrUtilizationhoursServiceImpl implements IWfPrUtilizationhoursService 
{
    @Autowired(required = false)
    private WfPrUtilizationhoursMapper wfPrUtilizationhoursMapper;

    /**
     * 查询WfPrUtilizationhours
     * 
     * @param windplantNo WfPrUtilizationhoursID
     * @return WfPrUtilizationhours
     */
    @Override
    public WfPrUtilizationhours selectWfPrUtilizationhoursById(Long windplantNo)
    {
        return wfPrUtilizationhoursMapper.selectWfPrUtilizationhoursById(windplantNo);
    }

    /**
     * 查询WfPrUtilizationhours列表
     * 
     * @param wfPrUtilizationhours WfPrUtilizationhours
     * @return WfPrUtilizationhours
     */
    @Override
    public List<WfPrUtilizationhours> selectWfPrUtilizationhoursList(WfPrUtilizationhours wfPrUtilizationhours)
    {
        return wfPrUtilizationhoursMapper.selectWfPrUtilizationhoursList(wfPrUtilizationhours);
    }

    @Override
    public List<WfPrUtilizationhours> selectWfPrUtilizationhours(Long windplantNo, Long projectNo, Date dataTime) {
        return wfPrUtilizationhoursMapper.selectWfPrUtilizationhours(windplantNo, projectNo, dataTime);
    }
}
