package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.WfUspDayData;
import com.ruoyi.predict.mapper.WfUspDayDataMapper;
import com.ruoyi.predict.service.IWfUspDayDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * WfUspDayDataService业务层处理
 *
 * @author hlf
 * @date 2021-08-16
 */
@Service
public class WfUspDayDataServiceImpl implements IWfUspDayDataService {
    @Autowired(required = false)
    private WfUspDayDataMapper wfUspDayDataMapper;

    /**
     * 查询WfUspDayData
     *
     * @param windplantNo WfUspDayDataID
     * @return WfUspDayData
     */
    @Override
    public WfUspDayData selectWfUspDayDataById(Long windplantNo) {
        return wfUspDayDataMapper.selectWfUspDayDataById(windplantNo);
    }

    /**
     * 查询WfUspDayData列表
     *
     * @param wfUspDayData WfUspDayData
     * @return WfUspDayData
     */
    @Override
    public List<WfUspDayData> selectWfUspDayDataList(WfUspDayData wfUspDayData) {
        return wfUspDayDataMapper.selectWfUspDayDataList(wfUspDayData);
    }
}
