package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.WfUspEfDayData;
import com.ruoyi.predict.mapper.WfUspEfDayDataMapper;
import com.ruoyi.predict.service.IWfUspEfDayDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * WfUspEfDayDataService业务层处理
 *
 * @author hlf
 * @date 2021-09-28
 */
@Service
public class WfUspEfDayDataServiceImpl implements IWfUspEfDayDataService {
    @Autowired(required = false)
    private WfUspEfDayDataMapper wfUspEfDayDataMapper;

    /**
     * 查询WfUspEfDayData
     *
     * @param windplantNo WfUspEfDayDataID
     * @return WfUspEfDayData
     */
    @Override
    public WfUspEfDayData selectWfUspEfDayDataById(Long windplantNo) {
        return wfUspEfDayDataMapper.selectWfUspEfDayDataById(windplantNo);
    }

    /**
     * 查询WfUspEfDayData列表
     *
     * @param wfUspEfDayData WfUspEfDayData
     * @return WfUspEfDayData
     */
    @Override
    public List<WfUspEfDayData> selectWfUspEfDayDataList(WfUspEfDayData wfUspEfDayData) {
        return wfUspEfDayDataMapper.selectWfUspEfDayDataList(wfUspEfDayData);
    }
}
