package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.WfUspEfMonthData;
import com.ruoyi.predict.mapper.WfUspEfMonthDataMapper;
import com.ruoyi.predict.service.IWfUspEfMonthDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * WfUspEfMonthDataService业务层处理
 *
 * @author hlf
 * @date 2021-09-28
 */
@Service
public class WfUspEfMonthDataServiceImpl implements IWfUspEfMonthDataService {
    @Autowired(required = false)
    private WfUspEfMonthDataMapper wfUspEfMonthDataMapper;

    /**
     * 查询WfUspEfMonthData
     *
     * @param windplantNo WfUspEfMonthDataID
     * @return WfUspEfMonthData
     */
    @Override
    public WfUspEfMonthData selectWfUspEfMonthDataById(Long windplantNo) {
        return wfUspEfMonthDataMapper.selectWfUspEfMonthDataById(windplantNo);
    }

    /**
     * 查询WfUspEfMonthData列表
     *
     * @param wfUspEfMonthData WfUspEfMonthData
     * @return WfUspEfMonthData
     */
    @Override
    public List<WfUspEfMonthData> selectWfUspEfMonthDataList(WfUspEfMonthData wfUspEfMonthData) {
        return wfUspEfMonthDataMapper.selectWfUspEfMonthDataList(wfUspEfMonthData);
    }
}
