package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.WfUspTsPeriodData;
import com.ruoyi.predict.mapper.WfUspTsPeriodDataMapper;
import com.ruoyi.predict.service.IWfUspTsPeriodDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * WfUspTsPeriodDataService业务层处理
 *
 * @author hlf
 * @date 2021-08-16
 */
@Service
public class WfUspTsPeriodDataServiceImpl implements IWfUspTsPeriodDataService {
    @Autowired(required = false)
    private WfUspTsPeriodDataMapper wfUspTsPeriodDataMapper;

    /**
     * 查询WfUspTsPeriodData
     *
     * @param windplantNo WfUspTsPeriodDataID
     * @return WfUspTsPeriodData
     */
    @Override
    public WfUspTsPeriodData selectWfUspTsPeriodDataById(Long windplantNo) {
        return wfUspTsPeriodDataMapper.selectWfUspTsPeriodDataById(windplantNo);
    }

    /**
     * 查询WfUspTsPeriodData列表
     *
     * @param wfUspTsPeriodData WfUspTsPeriodData
     * @return WfUspTsPeriodData
     */
    @Override
    public List<WfUspTsPeriodData> selectWfUspTsPeriodDataList(WfUspTsPeriodData wfUspTsPeriodData) {
        return wfUspTsPeriodDataMapper.selectWfUspTsPeriodDataList(wfUspTsPeriodData);
    }

    @Override
    public WfUspTsPeriodData selectWfUspTsPeriodData(Long windplantNo, Long modelNo, Long timeScale, Date dataTime) {
        return wfUspTsPeriodDataMapper.selectWfUspTsPeriodData(windplantNo, modelNo, timeScale, dataTime);
    }

    @Override
    public List<WfUspTsPeriodData> selectWfUspTsPeriodData1(Long windplantNo, Long modelNo, Long timeScale, Date dataTime) {
        return wfUspTsPeriodDataMapper.selectWfUspTsPeriodData1(windplantNo, modelNo, timeScale, dataTime);
    }
}
