package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.FormulaPara;

import java.util.List;

/**
 * FormulaParaMapper接口
 *
 * @author hlf
 * @date 2022-01-10
 */
public interface FormulaParaMapper {
    /**
     * 查询FormulaPara
     *
     * @param formulaNo FormulaParaID
     * @return FormulaPara
     */
    public FormulaPara selectFormulaParaById(Long formulaNo);

    /**
     * 查询FormulaPara列表
     *
     * @param formulaPara FormulaPara
     * @return FormulaPara集合
     */
    public List<FormulaPara> selectFormulaParaList(FormulaPara formulaPara);
}
