package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.LpProjectMonthData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * LpProjectMonthDataMapper接口
 *
 * @author hlf
 * @date 2022-03-16
 */
public interface LpProjectMonthDataMapper {
    /**
     * 查询LpProjectMonthData
     *
     * @param wfPrNo LpProjectMonthDataID
     * @return LpProjectMonthData
     */
    public LpProjectMonthData selectLpProjectMonthDataById(Long wfPrNo);

    /**
     * 查询LpProjectMonthData列表
     *
     * @param lpProjectMonthData LpProjectMonthData
     * @return LpProjectMonthData集合
     */
    public List<LpProjectMonthData> selectLpProjectMonthDataList(LpProjectMonthData lpProjectMonthData);

    List<LpProjectMonthData> selectLpProjectMonthData(@Param("wfPrNo") Long wfPrNo, @Param("dataTime") Date dataTime);
}
