package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.LpProjectYearData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * LpProjectYearDataMapper接口
 *
 * @author hlf
 * @date 2022-03-16
 */
public interface LpProjectYearDataMapper {
    /**
     * 查询LpProjectYearData
     *
     * @param wfPrNo LpProjectYearDataID
     * @return LpProjectYearData
     */
    public LpProjectYearData selectLpProjectYearDataById(Long wfPrNo);

    /**
     * 查询LpProjectYearData列表
     *
     * @param lpProjectYearData LpProjectYearData
     * @return LpProjectYearData集合
     */
    public List<LpProjectYearData> selectLpProjectYearDataList(LpProjectYearData lpProjectYearData);

    List<LpProjectYearData> selectLpProjectYearData(@Param("wfPrNo") Long wfPrNo, @Param("dataTime") Date dataTime);
}
