package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.LpWfMonthData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * LpWfMonthDataMapper接口
 *
 * @author hlf
 * @date 2022-03-16
 */
public interface LpWfMonthDataMapper {
    /**
     * 查询LpWfMonthData
     *
     * @param wfNo LpWfMonthDataID
     * @return LpWfMonthData
     */
    public LpWfMonthData selectLpWfMonthDataById(Long wfNo);

    /**
     * 查询LpWfMonthData列表
     *
     * @param lpWfMonthData LpWfMonthData
     * @return LpWfMonthData集合
     */
    public List<LpWfMonthData> selectLpWfMonthDataList(LpWfMonthData lpWfMonthData);

    List<LpWfMonthData> selectLpWfMonthData(@Param("wfNo") Long wfNo, @Param("dataTime") Date dataTime);
}
