package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.PrTheoryenergyData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * PrTheoryenergyDataMapper接口
 * 
 * @author hlf
 * @date 2022-11-08
 */
public interface PrTheoryenergyDataMapper 
{
    /**
     * 查询PrTheoryenergyData
     * 
     * @param windplantNo PrTheoryenergyDataID
     * @return PrTheoryenergyData
     */
    public PrTheoryenergyData selectPrTheoryenergyDataById(Long windplantNo);

    /**
     * 查询PrTheoryenergyData列表
     * 
     * @param prTheoryenergyData PrTheoryenergyData
     * @return PrTheoryenergyData集合
     */
    public List<PrTheoryenergyData> selectPrTheoryenergyDataList(PrTheoryenergyData prTheoryenergyData);

    List<PrTheoryenergyData> selectPrTheoryenergyData(@Param("windplantNo") Long windplantNo, @Param("projectNo") Long projectNo, @Param("dataTime") Date dataTime);
}
