package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.PvDaPfPara;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * PvDaPfParaMapper接口
 *
 * @author hlf
 * @date 2022-07-11
 */
public interface PvDaPfParaMapper {
    /**
     * 查询PvDaPfPara
     *
     * @param windplantNo PvDaPfParaID
     * @return PvDaPfPara
     */
    public PvDaPfPara selectPvDaPfParaById(@Param("windplantNo") Long windplantNo, @Param("modelNo") Long modelNo);

    /**
     * 查询PvDaPfPara列表
     *
     * @param pvDaPfPara PvDaPfPara
     * @return PvDaPfPara集合
     */
    public List<PvDaPfPara> selectPvDaPfParaList(PvDaPfPara pvDaPfPara);

    /**
     * 新增PvDaPfPara
     *
     * @param pvDaPfPara PvDaPfPara
     * @return 结果
     */
    public int insertPvDaPfPara(PvDaPfPara pvDaPfPara);

    /**
     * 修改PvDaPfPara
     *
     * @param pvDaPfPara PvDaPfPara
     * @return 结果
     */
    public int updatePvDaPfPara(PvDaPfPara pvDaPfPara);

    /**
     * 删除PvDaPfPara
     *
     * @param windplantNo PvDaPfParaID
     * @return 结果
     */
    public int deletePvDaPfParaById(@Param("windplantNo") Long windplantNo, @Param("modelNo") Long modelNo);
}
