package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WfDaPfMonthData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * WfDaPfMonthDataMapper接口
 *
 * @author hlf
 * @date 2021-07-14
 */
public interface WfDaPfMonthDataMapper {
    /**
     * 查询WfDaPfMonthData
     *
     * @param windplantNo WfDaPfMonthDataID
     * @return WfDaPfMonthData
     */
    public WfDaPfMonthData selectWfDaPfMonthDataById(Long windplantNo);

    /**
     * 查询WfDaPfMonthData列表
     *
     * @param wfDaPfMonthData WfDaPfMonthData
     * @return WfDaPfMonthData集合
     */
    public List<WfDaPfMonthData> selectWfDaPfMonthDataList(WfDaPfMonthData wfDaPfMonthData);

    WfDaPfMonthData selectWfDaPfMonthData(@Param("windplantNo") Long windplantNo, @Param("modelNo") Long modelNo, @Param("dateTime") Date dateTime);
}
