package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WfDaPfPara;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * WfDaPfParaMapper接口
 *
 * @author hlf
 * @date 2021-07-07
 */
public interface WfDaPfParaMapper {
    /**
     * 查询WfDaPfPara
     *
     * @param windplantNo WfDaPfParaID
     * @return WfDaPfPara
     */
    public WfDaPfPara selectWfDaPfParaById(@Param("windplantNo") Long windplantNo, @Param("modelNo") Long modelNo);

    /**
     * 查询WfDaPfPara列表
     *
     * @param wfDaPfPara WfDaPfPara
     * @return WfDaPfPara集合
     */
    public List<WfDaPfPara> selectWfDaPfParaList(WfDaPfPara wfDaPfPara);

    /**
     * 新增WfDaPfPara
     *
     * @param wfDaPfPara WfDaPfPara
     * @return 结果
     */
    public int insertWfDaPfPara(WfDaPfPara wfDaPfPara);

    /**
     * 修改WfDaPfPara
     *
     * @param wfDaPfPara WfDaPfPara
     * @return 结果
     */
    public int updateWfDaPfPara(WfDaPfPara wfDaPfPara);

    /**
     * 删除WfDaPfPara
     *
     * @param windplantNo WfDaPfParaID
     * @return 结果
     */
    public int deleteWfDaPfParaById(@Param("windplantNo") Long windplantNo, @Param("modelNo") Long modelNo);
}
