package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WfUspEfPara;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * WfUspEfParaMapper接口
 *
 * @author hlf
 * @date 2021-09-28
 */
public interface WfUspEfParaMapper {
    /**
     * 查询WfUspEfPara
     *
     * @param windplantNo WfUspEfParaID
     * @return WfUspEfPara
     */
    public WfUspEfPara selectWfUspEfParaById(@Param("windplantNo") Long windplantNo, @Param("modelNo") Long modelNo);

    /**
     * 查询WfUspEfPara列表
     *
     * @param wfUspEfPara WfUspEfPara
     * @return WfUspEfPara集合
     */
    public List<WfUspEfPara> selectWfUspEfParaList(WfUspEfPara wfUspEfPara);

    /**
     * 新增WfUspEfPara
     *
     * @param wfUspEfPara WfUspEfPara
     * @return 结果
     */
    public int insertWfUspEfPara(WfUspEfPara wfUspEfPara);

    /**
     * 修改WfUspEfPara
     *
     * @param wfUspEfPara WfUspEfPara
     * @return 结果
     */
    public int updateWfUspEfPara(WfUspEfPara wfUspEfPara);

    /**
     * 删除WfUspEfPara
     *
     * @param windplantNo WfUspEfParaID
     * @return 结果
     */
    public int deleteWfUspEfParaById(@Param("windplantNo") Long windplantNo, @Param("modelNo") Long modelNo);
}
