package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WfUspMonthData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * WfUspMonthDataMapper接口
 *
 * @author hlf
 * @date 2021-08-16
 */
public interface WfUspMonthDataMapper {
    /**
     * 查询WfUspMonthData
     *
     * @param windplantNo WfUspMonthDataID
     * @return WfUspMonthData
     */
    public WfUspMonthData selectWfUspMonthDataById(Long windplantNo);

    /**
     * 查询WfUspMonthData列表
     *
     * @param wfUspMonthData WfUspMonthData
     * @return WfUspMonthData集合
     */
    public List<WfUspMonthData> selectWfUspMonthDataList(WfUspMonthData wfUspMonthData);

    WfUspMonthData selectWfUspMonthData(@Param("windplantNo") Long windplantNo, @Param("modelNo") Long modelNo, @Param("timeScale") Long timeScale, @Param("dateTime") Date dateTime);
}
