package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WfUspTsEfPeriodData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * WfUspTsEfPeriodDataMapper接口
 *
 * @author hlf
 * @date 2021-09-28
 */
public interface WfUspTsEfPeriodDataMapper {
    /**
     * 查询WfUspTsEfPeriodData
     *
     * @param windplantNo WfUspTsEfPeriodDataID
     * @return WfUspTsEfPeriodData
     */
    public WfUspTsEfPeriodData selectWfUspTsEfPeriodDataById(Long windplantNo);

    /**
     * 查询WfUspTsEfPeriodData列表
     *
     * @param wfUspTsEfPeriodData WfUspTsEfPeriodData
     * @return WfUspTsEfPeriodData集合
     */
    public List<WfUspTsEfPeriodData> selectWfUspTsEfPeriodDataList(WfUspTsEfPeriodData wfUspTsEfPeriodData);

    List<WfUspTsEfPeriodData> selectWfUspTsEfPeriodData(@Param("windplantNo") Long windplantNo, @Param("modelNo") Long modelNo, @Param("timeScale") Long timeScale, @Param("dataTime") Date dataTime);
}
