package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WtgTypeTemperatureDef;

import java.util.List;

/**
 * WtgTypeTemperatureDefMapper接口
 *
 * @author hlf
 * @date 2022-01-10
 */
public interface WtgTypeTemperatureDefMapper {
    /**
     * 查询WtgTypeTemperatureDef
     *
     * @param wtgType WtgTypeTemperatureDefID
     * @return WtgTypeTemperatureDef
     */
    public WtgTypeTemperatureDef selectWtgTypeTemperatureDefById(Long wtgType);

    /**
     * 查询WtgTypeTemperatureDef列表
     *
     * @param wtgTypeTemperatureDef WtgTypeTemperatureDef
     * @return WtgTypeTemperatureDef集合
     */
    public List<WtgTypeTemperatureDef> selectWtgTypeTemperatureDefList(WtgTypeTemperatureDef wtgTypeTemperatureDef);

    /**
     * 新增WtgTypeTemperatureDef
     *
     * @param wtgTypeTemperatureDef WtgTypeTemperatureDef
     * @return 结果
     */
    public int insertWtgTypeTemperatureDef(WtgTypeTemperatureDef wtgTypeTemperatureDef);

    /**
     * 修改WtgTypeTemperatureDef
     *
     * @param wtgTypeTemperatureDef WtgTypeTemperatureDef
     * @return 结果
     */
    public int updateWtgTypeTemperatureDef(WtgTypeTemperatureDef wtgTypeTemperatureDef);

    /**
     * 删除WtgTypeTemperatureDef
     *
     * @param wtgType WtgTypeTemperatureDefID
     * @return 结果
     */
    public int deleteWtgTypeTemperatureDefById(Long wtgType);

    /**
     * 批量删除WtgTypeTemperatureDef
     *
     * @param wtgTypes 需要删除的数据ID
     * @return 结果
     */
    public int deleteWtgTypeTemperatureDefByIds(String[] wtgTypes);

    int insertWtgTypeTemperatureDefList(List<WtgTypeTemperatureDef> wtgTypeTemperatureDefList);
}
