package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.AreaDaEfMonthData;

import java.util.List;

/**
 * AreaDaEfMonthDataService接口
 *
 * @author hlf
 * @date 2021-08-11
 */
public interface IAreaDaEfMonthDataService {
    /**
     * 查询AreaDaEfMonthData
     *
     * @param areaNo AreaDaEfMonthDataID
     * @return AreaDaEfMonthData
     */
    public AreaDaEfMonthData selectAreaDaEfMonthDataById(Long areaNo);

    /**
     * 查询AreaDaEfMonthData列表
     *
     * @param areaDaEfMonthData AreaDaEfMonthData
     * @return AreaDaEfMonthData集合
     */
    public List<AreaDaEfMonthData> selectAreaDaEfMonthDataList(AreaDaEfMonthData areaDaEfMonthData);
}
