package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.AreaDaPfPeriodData;

import java.util.List;

/**
 * AreaDaPfPeriodDataService接口
 *
 * @author hlf
 * @date 2021-10-27
 */
public interface IAreaDaPfPeriodDataService {
    /**
     * 查询AreaDaPfPeriodData
     *
     * @param areaNo AreaDaPfPeriodDataID
     * @return AreaDaPfPeriodData
     */
    public AreaDaPfPeriodData selectAreaDaPfPeriodDataById(Long areaNo);

    /**
     * 查询AreaDaPfPeriodData列表
     *
     * @param areaDaPfPeriodData AreaDaPfPeriodData
     * @return AreaDaPfPeriodData集合
     */
    public List<AreaDaPfPeriodData> selectAreaDaPfPeriodDataList(AreaDaPfPeriodData areaDaPfPeriodData);
}
