package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.CwDaPfMonthData;

import java.util.List;

/**
 * CwDaPfMonthDataService接口
 *
 * @author hlf
 * @date 2021-08-06
 */
public interface ICwDaPfMonthDataService {
    /**
     * 查询CwDaPfMonthData
     *
     * @param wfPrCwireNo CwDaPfMonthDataID
     * @return CwDaPfMonthData
     */
    public CwDaPfMonthData selectCwDaPfMonthDataById(Long wfPrCwireNo);

    /**
     * 查询CwDaPfMonthData列表
     *
     * @param cwDaPfMonthData CwDaPfMonthData
     * @return CwDaPfMonthData集合
     */
    public List<CwDaPfMonthData> selectCwDaPfMonthDataList(CwDaPfMonthData cwDaPfMonthData);
}
