package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.Formula;

import java.util.List;

/**
 * FormulaService接口
 *
 * @author hlf
 * @date 2022-01-10
 */
public interface IFormulaService {
    /**
     * 查询Formula
     *
     * @param formulaNo FormulaID
     * @return Formula
     */
    public Formula selectFormulaById(Long formulaNo);

    /**
     * 查询Formula列表
     *
     * @param formula Formula
     * @return Formula集合
     */
    public List<Formula> selectFormulaList(Formula formula);
}
