package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.LpProjectMonthData;

import java.util.Date;
import java.util.List;

/**
 * LpProjectMonthDataService接口
 *
 * @author hlf
 * @date 2022-03-16
 */
public interface ILpProjectMonthDataService {
    /**
     * 查询LpProjectMonthData
     *
     * @param wfPrNo LpProjectMonthDataID
     * @return LpProjectMonthData
     */
    public LpProjectMonthData selectLpProjectMonthDataById(Long wfPrNo);

    /**
     * 查询LpProjectMonthData列表
     *
     * @param lpProjectMonthData LpProjectMonthData
     * @return LpProjectMonthData集合
     */
    public List<LpProjectMonthData> selectLpProjectMonthDataList(LpProjectMonthData lpProjectMonthData);

    List<LpProjectMonthData> selectLpProjectMonthData(Long wfPrNo, Date dataTime);
}
