package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.LpProjectYearData;

import java.util.Date;
import java.util.List;

/**
 * LpProjectYearDataService接口
 *
 * @author hlf
 * @date 2022-03-16
 */
public interface ILpProjectYearDataService {
    /**
     * 查询LpProjectYearData
     *
     * @param wfPrNo LpProjectYearDataID
     * @return LpProjectYearData
     */
    public LpProjectYearData selectLpProjectYearDataById(Long wfPrNo);

    /**
     * 查询LpProjectYearData列表
     *
     * @param lpProjectYearData LpProjectYearData
     * @return LpProjectYearData集合
     */
    public List<LpProjectYearData> selectLpProjectYearDataList(LpProjectYearData lpProjectYearData);

    List<LpProjectYearData> selectLpProjectYearData(Long wfPrNo, Date dataTime);
}
