package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.LpWfYearData;

import java.util.Date;
import java.util.List;

/**
 * LpWfYearDataService接口
 *
 * @author hlf
 * @date 2022-03-16
 */
public interface ILpWfYearDataService {
    /**
     * 查询LpWfYearData
     *
     * @param wfNo LpWfYearDataID
     * @return LpWfYearData
     */
    public LpWfYearData selectLpWfYearDataById(Long wfNo);

    /**
     * 查询LpWfYearData列表
     *
     * @param lpWfYearData LpWfYearData
     * @return LpWfYearData集合
     */
    public List<LpWfYearData> selectLpWfYearDataList(LpWfYearData lpWfYearData);

    List<LpWfYearData> selectLpWfYearData(Long wfNo, Date dataTime);
}
