package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.MvPoint;

import java.util.List;

/**
 * MvPointService接口
 *
 * @author hlf
 * @date 2022-01-10
 */
public interface IMvPointService {
    /**
     * 查询MvPoint
     *
     * @param windplantNo MvPointID
     * @return MvPoint
     */
    public MvPoint selectMvPointById(Long windplantNo, Long mvNo);

    /**
     * 查询MvPoint列表
     *
     * @param mvPoint MvPoint
     * @return MvPoint集合
     */
    public List<MvPoint> selectMvPointList(MvPoint mvPoint);
}
