package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.NoscalePrDaEfPeriodData;

import java.util.Date;
import java.util.List;

/**
 * NoscalePrDaEfPeriodDataService接口
 *
 * @author hlf
 * @date 2021-08-11
 */
public interface INoscalePrDaEfPeriodDataService {
    /**
     * 查询NoscalePrDaEfPeriodData
     *
     * @param wfPrNo NoscalePrDaEfPeriodDataID
     * @return NoscalePrDaEfPeriodData
     */
    public NoscalePrDaEfPeriodData selectNoscalePrDaEfPeriodDataById(Long wfPrNo);

    /**
     * 查询NoscalePrDaEfPeriodData列表
     *
     * @param noscalePrDaEfPeriodData NoscalePrDaEfPeriodData
     * @return NoscalePrDaEfPeriodData集合
     */
    public List<NoscalePrDaEfPeriodData> selectNoscalePrDaEfPeriodDataList(NoscalePrDaEfPeriodData noscalePrDaEfPeriodData);

    NoscalePrDaEfPeriodData selectNoscalePrDaEfPeriodDataByJh(Long projectNo, Long modelNo, Date dataTime);

    List<NoscalePrDaEfPeriodData> selectNoscalePrDaEfPeriodData(Long projectNo, Long modelNo, Date dataTime);
}
