package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.ProjectDaPfDayData;

import java.util.List;

/**
 * ProjectDaPfDayDataService接口
 *
 * @author hlf
 * @date 2021-08-06
 */
public interface IProjectDaPfDayDataService {
    /**
     * 查询ProjectDaPfDayData
     *
     * @param wfPrNo ProjectDaPfDayDataID
     * @return ProjectDaPfDayData
     */
    public ProjectDaPfDayData selectProjectDaPfDayDataById(Long wfPrNo);

    /**
     * 查询ProjectDaPfDayData列表
     *
     * @param projectDaPfDayData ProjectDaPfDayData
     * @return ProjectDaPfDayData集合
     */
    public List<ProjectDaPfDayData> selectProjectDaPfDayDataList(ProjectDaPfDayData projectDaPfDayData);
}
