package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.ProjectDaPfMonthData;

import java.util.List;

/**
 * ProjectDaPfMonthDataService接口
 *
 * @author hlf
 * @date 2021-08-06
 */
public interface IProjectDaPfMonthDataService {
    /**
     * 查询ProjectDaPfMonthData
     *
     * @param wfPrNo ProjectDaPfMonthDataID
     * @return ProjectDaPfMonthData
     */
    public ProjectDaPfMonthData selectProjectDaPfMonthDataById(Long wfPrNo);

    /**
     * 查询ProjectDaPfMonthData列表
     *
     * @param projectDaPfMonthData ProjectDaPfMonthData
     * @return ProjectDaPfMonthData集合
     */
    public List<ProjectDaPfMonthData> selectProjectDaPfMonthDataList(ProjectDaPfMonthData projectDaPfMonthData);
}
