package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.ProjectEuspTsPeriodData;

import java.util.Date;
import java.util.List;

/**
 * ProjectEuspTsPeriodDataService接口
 *
 * @author hlf
 * @date 2021-09-28
 */
public interface IProjectEuspTsPeriodDataService {
    /**
     * 查询ProjectEuspTsPeriodData
     *
     * @param projectNo ProjectEuspTsPeriodDataID
     * @return ProjectEuspTsPeriodData
     */
    public ProjectEuspTsPeriodData selectProjectEuspTsPeriodDataById(Long projectNo);

    /**
     * 查询ProjectEuspTsPeriodData列表
     *
     * @param projectEuspTsPeriodData ProjectEuspTsPeriodData
     * @return ProjectEuspTsPeriodData集合
     */
    public List<ProjectEuspTsPeriodData> selectProjectEuspTsPeriodDataList(ProjectEuspTsPeriodData projectEuspTsPeriodData);

    List<ProjectEuspTsPeriodData> selectProjectEuspTsPeriodData(Long projectNo, Long modelNo, Long timeScale, Date dataTime);
}
