package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.ProjectUspEfDayData;

import java.util.List;

/**
 * ProjectUspEfDayDataService接口
 *
 * @author hlf
 * @date 2021-09-28
 */
public interface IProjectUspEfDayDataService {
    /**
     * 查询ProjectUspEfDayData
     *
     * @param projectNo ProjectUspEfDayDataID
     * @return ProjectUspEfDayData
     */
    public ProjectUspEfDayData selectProjectUspEfDayDataById(Long projectNo);

    /**
     * 查询ProjectUspEfDayData列表
     *
     * @param projectUspEfDayData ProjectUspEfDayData
     * @return ProjectUspEfDayData集合
     */
    public List<ProjectUspEfDayData> selectProjectUspEfDayDataList(ProjectUspEfDayData projectUspEfDayData);
}
