package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.ProjectUspTsPeriodData;

import java.util.Date;
import java.util.List;

/**
 * ProjectUspTsPeriodDataService接口
 *
 * @author hlf
 * @date 2021-09-15
 */
public interface IProjectUspTsPeriodDataService {
    /**
     * 查询ProjectUspTsPeriodData
     *
     * @param projectNo ProjectUspTsPeriodDataID
     * @return ProjectUspTsPeriodData
     */
    public ProjectUspTsPeriodData selectProjectUspTsPeriodDataById(Long projectNo);

    /**
     * 查询ProjectUspTsPeriodData列表
     *
     * @param projectUspTsPeriodData ProjectUspTsPeriodData
     * @return ProjectUspTsPeriodData集合
     */
    public List<ProjectUspTsPeriodData> selectProjectUspTsPeriodDataList(ProjectUspTsPeriodData projectUspTsPeriodData);

    List<ProjectUspTsPeriodData> selectProjectUspTsPeriodData(Long projectNo, Long modelNo, Long timeScale, Date dataTime);
}
