package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.PvDaPfPara;

import java.util.List;

/**
 * PvDaPfParaService接口
 *
 * @author hlf
 * @date 2022-07-11
 */
public interface IPvDaPfParaService {
    /**
     * 查询PvDaPfPara
     *
     * @param windplantNo PvDaPfParaID
     * @return PvDaPfPara
     */
    public PvDaPfPara selectPvDaPfParaById(Long windplantNo, Long modelNo);

    /**
     * 查询PvDaPfPara列表
     *
     * @param pvDaPfPara PvDaPfPara
     * @return PvDaPfPara集合
     */
    public List<PvDaPfPara> selectPvDaPfParaList(PvDaPfPara pvDaPfPara);

    /**
     * 新增PvDaPfPara
     *
     * @param pvDaPfPara PvDaPfPara
     * @return 结果
     */
    public int insertPvDaPfPara(PvDaPfPara pvDaPfPara);

    /**
     * 修改PvDaPfPara
     *
     * @param pvDaPfPara PvDaPfPara
     * @return 结果
     */
    public int updatePvDaPfPara(PvDaPfPara pvDaPfPara);

    /**
     * 删除PvDaPfPara信息
     *
     * @param windplantNo PvDaPfParaID
     * @return 结果
     */
    public int deletePvDaPfParaById(Long windplantNo, Long modelNo);
}
