package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.PvUspDayData;

import java.util.List;

/**
 * PvUspDayDataService接口
 * 
 * @author hlf
 * @date 2022-07-13
 */
public interface IPvUspDayDataService 
{
    /**
     * 查询PvUspDayData
     * 
     * @param pvNo PvUspDayDataID
     * @return PvUspDayData
     */
    public PvUspDayData selectPvUspDayDataById(Long pvNo);

    /**
     * 查询PvUspDayData列表
     * 
     * @param pvUspDayData PvUspDayData
     * @return PvUspDayData集合
     */
    public List<PvUspDayData> selectPvUspDayDataList(PvUspDayData pvUspDayData);
}
