package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.PvUspMonthData;

import java.util.List;

/**
 * PvUspMonthDataService接口
 * 
 * @author hlf
 * @date 2022-07-13
 */
public interface IPvUspMonthDataService 
{
    /**
     * 查询PvUspMonthData
     * 
     * @param pvNo PvUspMonthDataID
     * @return PvUspMonthData
     */
    public PvUspMonthData selectPvUspMonthDataById(Long pvNo);

    /**
     * 查询PvUspMonthData列表
     * 
     * @param pvUspMonthData PvUspMonthData
     * @return PvUspMonthData集合
     */
    public List<PvUspMonthData> selectPvUspMonthDataList(PvUspMonthData pvUspMonthData);
}
