package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.PvUspTsPeriodData;

import java.util.Date;
import java.util.List;

/**
 * PvUspTsPeriodDataService接口
 * 
 * @author hlf
 * @date 2022-07-13
 */
public interface IPvUspTsPeriodDataService 
{
    /**
     * 查询PvUspTsPeriodData
     * 
     * @param pvNo PvUspTsPeriodDataID
     * @return PvUspTsPeriodData
     */
    public PvUspTsPeriodData selectPvUspTsPeriodDataById(Long pvNo);

    /**
     * 查询PvUspTsPeriodData列表
     * 
     * @param pvUspTsPeriodData PvUspTsPeriodData
     * @return PvUspTsPeriodData集合
     */
    public List<PvUspTsPeriodData> selectPvUspTsPeriodDataList(PvUspTsPeriodData pvUspTsPeriodData);

    PvUspTsPeriodData selectPvUspTsPeriodData(Long pvNo, Long modelNo, Long timeScale, Date dataTime);
}
