package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WfDaEfDayData;

import java.util.Date;
import java.util.List;

/**
 * WfDaEfDayDataService接口
 *
 * @author hlf
 * @date 2021-08-11
 */
public interface IWfDaEfDayDataService {
    /**
     * 查询WfDaEfDayData
     *
     * @param windplantNo WfDaEfDayDataID
     * @return WfDaEfDayData
     */
    public WfDaEfDayData selectWfDaEfDayDataById(Long windplantNo);

    /**
     * 查询WfDaEfDayData列表
     *
     * @param wfDaEfDayData WfDaEfDayData
     * @return WfDaEfDayData集合
     */
    public List<WfDaEfDayData> selectWfDaEfDayDataList(WfDaEfDayData wfDaEfDayData);

    WfDaEfDayData selectWfDaEfDayData(Long windplantNo, Long modelNo, Date dateTime);
}
