package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WfDaEfMonthData;

import java.util.Date;
import java.util.List;

/**
 * WfDaEfMonthDataService接口
 *
 * @author hlf
 * @date 2021-08-11
 */
public interface IWfDaEfMonthDataService {
    /**
     * 查询WfDaEfMonthData
     *
     * @param windplantNo WfDaEfMonthDataID
     * @return WfDaEfMonthData
     */
    public WfDaEfMonthData selectWfDaEfMonthDataById(Long windplantNo);

    /**
     * 查询WfDaEfMonthData列表
     *
     * @param wfDaEfMonthData WfDaEfMonthData
     * @return WfDaEfMonthData集合
     */
    public List<WfDaEfMonthData> selectWfDaEfMonthDataList(WfDaEfMonthData wfDaEfMonthData);

    WfDaEfMonthData selectWfDaEfMonthData(Long windplantNo, Long modelNo, Date dateTime);
}
