package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WfDaPfDayData;

import java.util.Date;
import java.util.List;

/**
 * WfDaPfDayDataService接口
 *
 * @author hlf
 * @date 2021-07-14
 */
public interface IWfDaPfDayDataService {
    /**
     * 查询WfDaPfDayData
     *
     * @param windplantNo WfDaPfDayDataID
     * @return WfDaPfDayData
     */
    public WfDaPfDayData selectWfDaPfDayDataById(Long windplantNo);

    /**
     * 查询WfDaPfDayData列表
     *
     * @param wfDaPfDayData WfDaPfDayData
     * @return WfDaPfDayData集合
     */
    public List<WfDaPfDayData> selectWfDaPfDayDataList(WfDaPfDayData wfDaPfDayData);

    WfDaPfDayData selectWfDaPfDayData(Long windplantNo, Long modelNo, Date dateTime);
}
