package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WfNwpData;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * WfNwpDataService接口
 *
 * @author hlf
 * @date 2021-07-14
 */
public interface IWfNwpDataService {
    /**
     * 查询WfNwpData
     *
     * @param windplantNo WfNwpDataID
     * @return WfNwpData
     */
    public WfNwpData selectWfNwpDataById(Long windplantNo);

    /**
     * 查询WfNwpData列表
     *
     * @param wfNwpData WfNwpData
     * @return WfNwpData集合
     */
    public List<WfNwpData> selectWfNwpDataList(WfNwpData wfNwpData);

    List<WfNwpData> selectWfNwpData(Long windplantNo, Long nwpType, Date dataTime);

    List<WfNwpData> selectWfNwpDataByWindDir(Long windplantNo, Long nwpType, Date dataTime, Map<String, Object> params);
}
