package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WfStatPeriodData;

import java.util.Date;
import java.util.List;

/**
 * WfStatPeriodDataService接口
 *
 * @author hlf
 * @date 2021-07-07
 */
public interface IWfStatPeriodDataService {
    /**
     * 查询WfStatPeriodData
     *
     * @param windplantNo WfStatPeriodDataID
     * @return WfStatPeriodData
     */
    public List<WfStatPeriodData> selectWfStatPeriodDataById(Long windplantNo);

    /**
     * 查询WfStatPeriodData列表
     *
     * @param wfStatPeriodData WfStatPeriodData
     * @return WfStatPeriodData集合
     */
    public List<WfStatPeriodData> selectWfStatPeriodDataList(WfStatPeriodData wfStatPeriodData);

    WfStatPeriodData selectWfStatPeriodData(Long windplantNo, Date dataTime);

    List<WfStatPeriodData> selectWfStatPeriodData1(Long windplantNo, Date dataTime);
}
