package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WfUspPfPara;

import java.util.List;

/**
 * WfUspPfParaService接口
 *
 * @author hlf
 * @date 2021-09-02
 */
public interface IWfUspPfParaService {
    /**
     * 查询WfUspPfPara
     *
     * @param windplantNo WfUspPfParaID
     * @return WfUspPfPara
     */
    public WfUspPfPara selectWfUspPfParaById(Long windplantNo, Long modelNo);

    /**
     * 查询WfUspPfPara列表
     *
     * @param wfUspPfPara WfUspPfPara
     * @return WfUspPfPara集合
     */
    public List<WfUspPfPara> selectWfUspPfParaList(WfUspPfPara wfUspPfPara);

    /**
     * 新增WfUspPfPara
     *
     * @param wfUspPfPara WfUspPfPara
     * @return 结果
     */
    public int insertWfUspPfPara(WfUspPfPara wfUspPfPara);

    /**
     * 修改WfUspPfPara
     *
     * @param wfUspPfPara WfUspPfPara
     * @return 结果
     */
    public int updateWfUspPfPara(WfUspPfPara wfUspPfPara);

    /**
     * 删除WfUspPfPara信息
     *
     * @param windplantNo WfUspPfParaID
     * @return 结果
     */
    public int deleteWfUspPfParaById(Long windplantNo, Long modelNo);
}
