package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WfUspTsEfPeriodData;

import java.util.Date;
import java.util.List;

/**
 * WfUspTsEfPeriodDataService接口
 *
 * @author hlf
 * @date 2021-09-28
 */
public interface IWfUspTsEfPeriodDataService {
    /**
     * 查询WfUspTsEfPeriodData
     *
     * @param windplantNo WfUspTsEfPeriodDataID
     * @return WfUspTsEfPeriodData
     */
    public WfUspTsEfPeriodData selectWfUspTsEfPeriodDataById(Long windplantNo);

    /**
     * 查询WfUspTsEfPeriodData列表
     *
     * @param wfUspTsEfPeriodData WfUspTsEfPeriodData
     * @return WfUspTsEfPeriodData集合
     */
    public List<WfUspTsEfPeriodData> selectWfUspTsEfPeriodDataList(WfUspTsEfPeriodData wfUspTsEfPeriodData);

    List<WfUspTsEfPeriodData> selectWfUspTsEfPeriodData(Long windplantNo, Long modelNo, Long timeScale, Date dataTime);
}
