package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WfUspTsPeriodData;

import java.util.Date;
import java.util.List;

/**
 * WfUspTsPeriodDataService接口
 *
 * @author hlf
 * @date 2021-08-16
 */
public interface IWfUspTsPeriodDataService {
    /**
     * 查询WfUspTsPeriodData
     *
     * @param windplantNo WfUspTsPeriodDataID
     * @return WfUspTsPeriodData
     */
    public WfUspTsPeriodData selectWfUspTsPeriodDataById(Long windplantNo);

    /**
     * 查询WfUspTsPeriodData列表
     *
     * @param wfUspTsPeriodData WfUspTsPeriodData
     * @return WfUspTsPeriodData集合
     */
    public List<WfUspTsPeriodData> selectWfUspTsPeriodDataList(WfUspTsPeriodData wfUspTsPeriodData);

    WfUspTsPeriodData selectWfUspTsPeriodData(Long windplantNo, Long modelNo, Long timeScale, Date dataTime);

    List<WfUspTsPeriodData> selectWfUspTsPeriodData1(Long windplantNo, Long modelNo, Long timeScale, Date dataTime);
}
