package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WtgDaPfDayData;

import java.util.Date;
import java.util.List;

/**
 * WtgDaPfDayDataService接口
 *
 * @author hlf
 * @date 2021-08-06
 */
public interface IWtgDaPfDayDataService {
    /**
     * 查询WtgDaPfDayData
     *
     * @param wturNo WtgDaPfDayDataID
     * @return WtgDaPfDayData
     */
    public WtgDaPfDayData selectWtgDaPfDayDataById(Long wturNo);

    /**
     * 查询WtgDaPfDayData列表
     *
     * @param wtgDaPfDayData WtgDaPfDayData
     * @return WtgDaPfDayData集合
     */
    public List<WtgDaPfDayData> selectWtgDaPfDayDataList(WtgDaPfDayData wtgDaPfDayData);

    WtgDaPfDayData selectWtgDaPfDayData(Long wtgNo, Long modelNo, Date dateTime);
}
