package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.AreaDaEfMonthData;
import com.ruoyi.predict.mapper.AreaDaEfMonthDataMapper;
import com.ruoyi.predict.service.IAreaDaEfMonthDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * AreaDaEfMonthDataService业务层处理
 *
 * @author hlf
 * @date 2021-08-11
 */
@Service
public class AreaDaEfMonthDataServiceImpl implements IAreaDaEfMonthDataService {
    @Autowired(required = false)
    private AreaDaEfMonthDataMapper areaDaEfMonthDataMapper;

    /**
     * 查询AreaDaEfMonthData
     *
     * @param areaNo AreaDaEfMonthDataID
     * @return AreaDaEfMonthData
     */
    @Override
    public AreaDaEfMonthData selectAreaDaEfMonthDataById(Long areaNo) {
        return areaDaEfMonthDataMapper.selectAreaDaEfMonthDataById(areaNo);
    }

    /**
     * 查询AreaDaEfMonthData列表
     *
     * @param areaDaEfMonthData AreaDaEfMonthData
     * @return AreaDaEfMonthData
     */
    @Override
    public List<AreaDaEfMonthData> selectAreaDaEfMonthDataList(AreaDaEfMonthData areaDaEfMonthData) {
        return areaDaEfMonthDataMapper.selectAreaDaEfMonthDataList(areaDaEfMonthData);
    }
}
