package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.AreaDaEfPeriodData;
import com.ruoyi.predict.mapper.AreaDaEfPeriodDataMapper;
import com.ruoyi.predict.service.IAreaDaEfPeriodDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * AreaDaEfPeriodDataService业务层处理
 *
 * @author hlf
 * @date 2021-08-11
 */
@Service
public class AreaDaEfPeriodDataServiceImpl implements IAreaDaEfPeriodDataService {
    @Autowired(required = false)
    private AreaDaEfPeriodDataMapper areaDaEfPeriodDataMapper;

    /**
     * 查询AreaDaEfPeriodData
     *
     * @param areaNo AreaDaEfPeriodDataID
     * @return AreaDaEfPeriodData
     */
    @Override
    public AreaDaEfPeriodData selectAreaDaEfPeriodDataById(Long areaNo) {
        return areaDaEfPeriodDataMapper.selectAreaDaEfPeriodDataById(areaNo);
    }

    /**
     * 查询AreaDaEfPeriodData列表
     *
     * @param areaDaEfPeriodData AreaDaEfPeriodData
     * @return AreaDaEfPeriodData
     */
    @Override
    public List<AreaDaEfPeriodData> selectAreaDaEfPeriodDataList(AreaDaEfPeriodData areaDaEfPeriodData) {
        return areaDaEfPeriodDataMapper.selectAreaDaEfPeriodDataList(areaDaEfPeriodData);
    }
}
