package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.AreaDaPfPeriodData;
import com.ruoyi.predict.mapper.AreaDaPfPeriodDataMapper;
import com.ruoyi.predict.service.IAreaDaPfPeriodDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * AreaDaPfPeriodDataService业务层处理
 *
 * @author hlf
 * @date 2021-10-27
 */
@Service
public class AreaDaPfPeriodDataServiceImpl implements IAreaDaPfPeriodDataService {
    @Autowired(required = false)
    private AreaDaPfPeriodDataMapper areaDaPfPeriodDataMapper;

    /**
     * 查询AreaDaPfPeriodData
     *
     * @param areaNo AreaDaPfPeriodDataID
     * @return AreaDaPfPeriodData
     */
    @Override
    public AreaDaPfPeriodData selectAreaDaPfPeriodDataById(Long areaNo) {
        return areaDaPfPeriodDataMapper.selectAreaDaPfPeriodDataById(areaNo);
    }

    /**
     * 查询AreaDaPfPeriodData列表
     *
     * @param areaDaPfPeriodData AreaDaPfPeriodData
     * @return AreaDaPfPeriodData
     */
    @Override
    public List<AreaDaPfPeriodData> selectAreaDaPfPeriodDataList(AreaDaPfPeriodData areaDaPfPeriodData) {
        return areaDaPfPeriodDataMapper.selectAreaDaPfPeriodDataList(areaDaPfPeriodData);
    }
}
