package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.AreaUspEfDayData;
import com.ruoyi.predict.mapper.AreaUspEfDayDataMapper;
import com.ruoyi.predict.service.IAreaUspEfDayDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * AreaUspEfDayDataService业务层处理
 *
 * @author hlf
 * @date 2021-09-28
 */
@Service
public class AreaUspEfDayDataServiceImpl implements IAreaUspEfDayDataService {
    @Autowired(required = false)
    private AreaUspEfDayDataMapper areaUspEfDayDataMapper;

    /**
     * 查询AreaUspEfDayData
     *
     * @param areaNo AreaUspEfDayDataID
     * @return AreaUspEfDayData
     */
    @Override
    public AreaUspEfDayData selectAreaUspEfDayDataById(Long areaNo) {
        return areaUspEfDayDataMapper.selectAreaUspEfDayDataById(areaNo);
    }

    /**
     * 查询AreaUspEfDayData列表
     *
     * @param areaUspEfDayData AreaUspEfDayData
     * @return AreaUspEfDayData
     */
    @Override
    public List<AreaUspEfDayData> selectAreaUspEfDayDataList(AreaUspEfDayData areaUspEfDayData) {
        return areaUspEfDayDataMapper.selectAreaUspEfDayDataList(areaUspEfDayData);
    }
}
