package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.AreaUspTsPeriodData;
import com.ruoyi.predict.mapper.AreaUspTsPeriodDataMapper;
import com.ruoyi.predict.service.IAreaUspTsPeriodDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * AreaUspTsPeriodDataService业务层处理
 *
 * @author hlf
 * @date 2021-10-27
 */
@Service
public class AreaUspTsPeriodDataServiceImpl implements IAreaUspTsPeriodDataService {
    @Autowired(required = false)
    private AreaUspTsPeriodDataMapper areaUspTsPeriodDataMapper;

    /**
     * 查询AreaUspTsPeriodData
     *
     * @param areaNo AreaUspTsPeriodDataID
     * @return AreaUspTsPeriodData
     */
    @Override
    public AreaUspTsPeriodData selectAreaUspTsPeriodDataById(Long areaNo) {
        return areaUspTsPeriodDataMapper.selectAreaUspTsPeriodDataById(areaNo);
    }

    /**
     * 查询AreaUspTsPeriodData列表
     *
     * @param areaUspTsPeriodData AreaUspTsPeriodData
     * @return AreaUspTsPeriodData
     */
    @Override
    public List<AreaUspTsPeriodData> selectAreaUspTsPeriodDataList(AreaUspTsPeriodData areaUspTsPeriodData) {
        return areaUspTsPeriodDataMapper.selectAreaUspTsPeriodDataList(areaUspTsPeriodData);
    }
}
