package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.CwDaEfDayData;
import com.ruoyi.predict.mapper.CwDaEfDayDataMapper;
import com.ruoyi.predict.service.ICwDaEfDayDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * CwDaEfDayDataService业务层处理
 *
 * @author hlf
 * @date 2021-08-11
 */
@Service
public class CwDaEfDayDataServiceImpl implements ICwDaEfDayDataService {
    @Autowired(required = false)
    private CwDaEfDayDataMapper cwDaEfDayDataMapper;

    /**
     * 查询CwDaEfDayData
     *
     * @param wfPrCwireNo CwDaEfDayDataID
     * @return CwDaEfDayData
     */
    @Override
    public CwDaEfDayData selectCwDaEfDayDataById(Long wfPrCwireNo) {
        return cwDaEfDayDataMapper.selectCwDaEfDayDataById(wfPrCwireNo);
    }

    /**
     * 查询CwDaEfDayData列表
     *
     * @param cwDaEfDayData CwDaEfDayData
     * @return CwDaEfDayData
     */
    @Override
    public List<CwDaEfDayData> selectCwDaEfDayDataList(CwDaEfDayData cwDaEfDayData) {
        return cwDaEfDayDataMapper.selectCwDaEfDayDataList(cwDaEfDayData);
    }
}
