package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.CwDaPfDayData;
import com.ruoyi.predict.mapper.CwDaPfDayDataMapper;
import com.ruoyi.predict.service.ICwDaPfDayDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * CwDaPfDayDataService业务层处理
 *
 * @author hlf
 * @date 2021-08-06
 */
@Service
public class CwDaPfDayDataServiceImpl implements ICwDaPfDayDataService {
    @Autowired(required = false)
    private CwDaPfDayDataMapper cwDaPfDayDataMapper;

    /**
     * 查询CwDaPfDayData
     *
     * @param wfPrCwireNo CwDaPfDayDataID
     * @return CwDaPfDayData
     */
    @Override
    public CwDaPfDayData selectCwDaPfDayDataById(Long wfPrCwireNo) {
        return cwDaPfDayDataMapper.selectCwDaPfDayDataById(wfPrCwireNo);
    }

    /**
     * 查询CwDaPfDayData列表
     *
     * @param cwDaPfDayData CwDaPfDayData
     * @return CwDaPfDayData
     */
    @Override
    public List<CwDaPfDayData> selectCwDaPfDayDataList(CwDaPfDayData cwDaPfDayData) {
        return cwDaPfDayDataMapper.selectCwDaPfDayDataList(cwDaPfDayData);
    }
}
