package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.CwDaPfMonthData;
import com.ruoyi.predict.mapper.CwDaPfMonthDataMapper;
import com.ruoyi.predict.service.ICwDaPfMonthDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * CwDaPfMonthDataService业务层处理
 *
 * @author hlf
 * @date 2021-08-06
 */
@Service
public class CwDaPfMonthDataServiceImpl implements ICwDaPfMonthDataService {
    @Autowired(required = false)
    private CwDaPfMonthDataMapper cwDaPfMonthDataMapper;

    /**
     * 查询CwDaPfMonthData
     *
     * @param wfPrCwireNo CwDaPfMonthDataID
     * @return CwDaPfMonthData
     */
    @Override
    public CwDaPfMonthData selectCwDaPfMonthDataById(Long wfPrCwireNo) {
        return cwDaPfMonthDataMapper.selectCwDaPfMonthDataById(wfPrCwireNo);
    }

    /**
     * 查询CwDaPfMonthData列表
     *
     * @param cwDaPfMonthData CwDaPfMonthData
     * @return CwDaPfMonthData
     */
    @Override
    public List<CwDaPfMonthData> selectCwDaPfMonthDataList(CwDaPfMonthData cwDaPfMonthData) {
        return cwDaPfMonthDataMapper.selectCwDaPfMonthDataList(cwDaPfMonthData);
    }
}
