package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.CwUspMonthData;
import com.ruoyi.predict.mapper.CwUspMonthDataMapper;
import com.ruoyi.predict.service.ICwUspMonthDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * CwUspMonthDataService业务层处理
 *
 * @author hlf
 * @date 2021-12-28
 */
@Service
public class CwUspMonthDataServiceImpl implements ICwUspMonthDataService {
    @Autowired(required = false)
    private CwUspMonthDataMapper cwUspMonthDataMapper;

    /**
     * 查询CwUspMonthData
     *
     * @param wfPrCwireNo CwUspMonthDataID
     * @return CwUspMonthData
     */
    @Override
    public CwUspMonthData selectCwUspMonthDataById(Long wfPrCwireNo) {
        return cwUspMonthDataMapper.selectCwUspMonthDataById(wfPrCwireNo);
    }

    /**
     * 查询CwUspMonthData列表
     *
     * @param cwUspMonthData CwUspMonthData
     * @return CwUspMonthData
     */
    @Override
    public List<CwUspMonthData> selectCwUspMonthDataList(CwUspMonthData cwUspMonthData) {
        return cwUspMonthDataMapper.selectCwUspMonthDataList(cwUspMonthData);
    }
}
