package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.NoscaleCwDaEfPeriodData;
import com.ruoyi.predict.mapper.NoscaleCwDaEfPeriodDataMapper;
import com.ruoyi.predict.service.INoscaleCwDaEfPeriodDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * NoscaleCwDaEfPeriodDataService业务层处理
 *
 * @author hlf
 * @date 2021-08-11
 */
@Service
public class NoscaleCwDaEfPeriodDataServiceImpl implements INoscaleCwDaEfPeriodDataService {
    @Autowired(required = false)
    private NoscaleCwDaEfPeriodDataMapper noscaleCwDaEfPeriodDataMapper;

    /**
     * 查询NoscaleCwDaEfPeriodData
     *
     * @param wfPrCwireNo NoscaleCwDaEfPeriodDataID
     * @return NoscaleCwDaEfPeriodData
     */
    @Override
    public NoscaleCwDaEfPeriodData selectNoscaleCwDaEfPeriodDataById(Long wfPrCwireNo) {
        return noscaleCwDaEfPeriodDataMapper.selectNoscaleCwDaEfPeriodDataById(wfPrCwireNo);
    }

    /**
     * 查询NoscaleCwDaEfPeriodData列表
     *
     * @param noscaleCwDaEfPeriodData NoscaleCwDaEfPeriodData
     * @return NoscaleCwDaEfPeriodData
     */
    @Override
    public List<NoscaleCwDaEfPeriodData> selectNoscaleCwDaEfPeriodDataList(NoscaleCwDaEfPeriodData noscaleCwDaEfPeriodData) {
        return noscaleCwDaEfPeriodDataMapper.selectNoscaleCwDaEfPeriodDataList(noscaleCwDaEfPeriodData);
    }
}
