package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.NoscaleCwDaPfPeriodData;
import com.ruoyi.predict.mapper.NoscaleCwDaPfPeriodDataMapper;
import com.ruoyi.predict.service.INoscaleCwDaPfPeriodDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * NoscaleCwDaPfPeriodDataService业务层处理
 *
 * @author hlf
 * @date 2021-07-30
 */
@Service
public class NoscaleCwDaPfPeriodDataServiceImpl implements INoscaleCwDaPfPeriodDataService {
    @Autowired(required = false)
    private NoscaleCwDaPfPeriodDataMapper noscaleCwDaPfPeriodDataMapper;

    /**
     * 查询NoscaleCwDaPfPeriodData
     *
     * @param wfPrCwireNo NoscaleCwDaPfPeriodDataID
     * @return NoscaleCwDaPfPeriodData
     */
    @Override
    public NoscaleCwDaPfPeriodData selectNoscaleCwDaPfPeriodDataById(Long wfPrCwireNo) {
        return noscaleCwDaPfPeriodDataMapper.selectNoscaleCwDaPfPeriodDataById(wfPrCwireNo);
    }

    /**
     * 查询NoscaleCwDaPfPeriodData列表
     *
     * @param noscaleCwDaPfPeriodData NoscaleCwDaPfPeriodData
     * @return NoscaleCwDaPfPeriodData
     */
    @Override
    public List<NoscaleCwDaPfPeriodData> selectNoscaleCwDaPfPeriodDataList(NoscaleCwDaPfPeriodData noscaleCwDaPfPeriodData) {
        return noscaleCwDaPfPeriodDataMapper.selectNoscaleCwDaPfPeriodDataList(noscaleCwDaPfPeriodData);
    }
}
