package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.NoscaleWtgDaEfPeriodData;
import com.ruoyi.predict.mapper.NoscaleWtgDaEfPeriodDataMapper;
import com.ruoyi.predict.service.INoscaleWtgDaEfPeriodDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * NoscaleWtgDaEfPeriodDataService业务层处理
 *
 * @author hlf
 * @date 2021-08-11
 */
@Service
public class NoscaleWtgDaEfPeriodDataServiceImpl implements INoscaleWtgDaEfPeriodDataService {
    @Autowired(required = false)
    private NoscaleWtgDaEfPeriodDataMapper noscaleWtgDaEfPeriodDataMapper;

    /**
     * 查询NoscaleWtgDaEfPeriodData
     *
     * @param wtgNo NoscaleWtgDaEfPeriodDataID
     * @return NoscaleWtgDaEfPeriodData
     */
    @Override
    public NoscaleWtgDaEfPeriodData selectNoscaleWtgDaEfPeriodDataById(Long wtgNo) {
        return noscaleWtgDaEfPeriodDataMapper.selectNoscaleWtgDaEfPeriodDataById(wtgNo);
    }

    /**
     * 查询NoscaleWtgDaEfPeriodData列表
     *
     * @param noscaleWtgDaEfPeriodData NoscaleWtgDaEfPeriodData
     * @return NoscaleWtgDaEfPeriodData
     */
    @Override
    public List<NoscaleWtgDaEfPeriodData> selectNoscaleWtgDaEfPeriodDataList(NoscaleWtgDaEfPeriodData noscaleWtgDaEfPeriodData) {
        return noscaleWtgDaEfPeriodDataMapper.selectNoscaleWtgDaEfPeriodDataList(noscaleWtgDaEfPeriodData);
    }
}
