package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.NoscaleWtgDaPfPeriodData;
import com.ruoyi.predict.mapper.NoscaleWtgDaPfPeriodDataMapper;
import com.ruoyi.predict.service.INoscaleWtgDaPfPeriodDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * NoscaleWtgDaPfPeriodDataService业务层处理
 *
 * @author hlf
 * @date 2021-07-30
 */
@Service
public class NoscaleWtgDaPfPeriodDataServiceImpl implements INoscaleWtgDaPfPeriodDataService {
    @Autowired(required = false)
    private NoscaleWtgDaPfPeriodDataMapper noscaleWtgDaPfPeriodDataMapper;

    /**
     * 查询NoscaleWtgDaPfPeriodData
     *
     * @param wtgNo NoscaleWtgDaPfPeriodDataID
     * @return NoscaleWtgDaPfPeriodData
     */
    @Override
    public NoscaleWtgDaPfPeriodData selectNoscaleWtgDaPfPeriodDataById(Long wtgNo) {
        return noscaleWtgDaPfPeriodDataMapper.selectNoscaleWtgDaPfPeriodDataById(wtgNo);
    }

    /**
     * 查询NoscaleWtgDaPfPeriodData列表
     *
     * @param noscaleWtgDaPfPeriodData NoscaleWtgDaPfPeriodData
     * @return NoscaleWtgDaPfPeriodData
     */
    @Override
    public List<NoscaleWtgDaPfPeriodData> selectNoscaleWtgDaPfPeriodDataList(NoscaleWtgDaPfPeriodData noscaleWtgDaPfPeriodData) {
        return noscaleWtgDaPfPeriodDataMapper.selectNoscaleWtgDaPfPeriodDataList(noscaleWtgDaPfPeriodData);
    }
}
