package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.PfEvaRulsMonthData;
import com.ruoyi.predict.mapper.PfEvaRulsMonthDataMapper;
import com.ruoyi.predict.service.IPfEvaRulsMonthDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * PfEvaRulsMonthDataService业务层处理
 *
 * @author hlf
 * @date 2021-11-10
 */
@Service
public class PfEvaRulsMonthDataServiceImpl implements IPfEvaRulsMonthDataService {
    @Autowired(required = false)
    private PfEvaRulsMonthDataMapper pfEvaRulsMonthDataMapper;

    /**
     * 查询PfEvaRulsMonthData
     *
     * @param rtuNo PfEvaRulsMonthDataID
     * @return PfEvaRulsMonthData
     */
    @Override
    public PfEvaRulsMonthData selectPfEvaRulsMonthDataById(Long rtuNo) {
        return pfEvaRulsMonthDataMapper.selectPfEvaRulsMonthDataById(rtuNo);
    }

    /**
     * 查询PfEvaRulsMonthData列表
     *
     * @param pfEvaRulsMonthData PfEvaRulsMonthData
     * @return PfEvaRulsMonthData
     */
    @Override
    public List<PfEvaRulsMonthData> selectPfEvaRulsMonthDataList(PfEvaRulsMonthData pfEvaRulsMonthData) {
        return pfEvaRulsMonthDataMapper.selectPfEvaRulsMonthDataList(pfEvaRulsMonthData);
    }
}
