package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.ProjectDaEfDayData;
import com.ruoyi.predict.mapper.ProjectDaEfDayDataMapper;
import com.ruoyi.predict.service.IProjectDaEfDayDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * ProjectDaEfDayDataService业务层处理
 *
 * @author hlf
 * @date 2021-08-11
 */
@Service
public class ProjectDaEfDayDataServiceImpl implements IProjectDaEfDayDataService {
    @Autowired(required = false)
    private ProjectDaEfDayDataMapper projectDaEfDayDataMapper;

    /**
     * 查询ProjectDaEfDayData
     *
     * @param wfPrNo ProjectDaEfDayDataID
     * @return ProjectDaEfDayData
     */
    @Override
    public ProjectDaEfDayData selectProjectDaEfDayDataById(Long wfPrNo) {
        return projectDaEfDayDataMapper.selectProjectDaEfDayDataById(wfPrNo);
    }

    /**
     * 查询ProjectDaEfDayData列表
     *
     * @param projectDaEfDayData ProjectDaEfDayData
     * @return ProjectDaEfDayData
     */
    @Override
    public List<ProjectDaEfDayData> selectProjectDaEfDayDataList(ProjectDaEfDayData projectDaEfDayData) {
        return projectDaEfDayDataMapper.selectProjectDaEfDayDataList(projectDaEfDayData);
    }
}
