package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.ProjectDaEfMonthData;
import com.ruoyi.predict.mapper.ProjectDaEfMonthDataMapper;
import com.ruoyi.predict.service.IProjectDaEfMonthDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * ProjectDaEfMonthDataService业务层处理
 *
 * @author hlf
 * @date 2021-08-11
 */
@Service
public class ProjectDaEfMonthDataServiceImpl implements IProjectDaEfMonthDataService {
    @Autowired(required = false)
    private ProjectDaEfMonthDataMapper projectDaEfMonthDataMapper;

    /**
     * 查询ProjectDaEfMonthData
     *
     * @param wfPrNo ProjectDaEfMonthDataID
     * @return ProjectDaEfMonthData
     */
    @Override
    public ProjectDaEfMonthData selectProjectDaEfMonthDataById(Long wfPrNo) {
        return projectDaEfMonthDataMapper.selectProjectDaEfMonthDataById(wfPrNo);
    }

    /**
     * 查询ProjectDaEfMonthData列表
     *
     * @param projectDaEfMonthData ProjectDaEfMonthData
     * @return ProjectDaEfMonthData
     */
    @Override
    public List<ProjectDaEfMonthData> selectProjectDaEfMonthDataList(ProjectDaEfMonthData projectDaEfMonthData) {
        return projectDaEfMonthDataMapper.selectProjectDaEfMonthDataList(projectDaEfMonthData);
    }
}
