package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.ProjectUspEfDayData;
import com.ruoyi.predict.mapper.ProjectUspEfDayDataMapper;
import com.ruoyi.predict.service.IProjectUspEfDayDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * ProjectUspEfDayDataService业务层处理
 *
 * @author hlf
 * @date 2021-09-28
 */
@Service
public class ProjectUspEfDayDataServiceImpl implements IProjectUspEfDayDataService {
    @Autowired(required = false)
    private ProjectUspEfDayDataMapper projectUspEfDayDataMapper;

    /**
     * 查询ProjectUspEfDayData
     *
     * @param projectNo ProjectUspEfDayDataID
     * @return ProjectUspEfDayData
     */
    @Override
    public ProjectUspEfDayData selectProjectUspEfDayDataById(Long projectNo) {
        return projectUspEfDayDataMapper.selectProjectUspEfDayDataById(projectNo);
    }

    /**
     * 查询ProjectUspEfDayData列表
     *
     * @param projectUspEfDayData ProjectUspEfDayData
     * @return ProjectUspEfDayData
     */
    @Override
    public List<ProjectUspEfDayData> selectProjectUspEfDayDataList(ProjectUspEfDayData projectUspEfDayData) {
        return projectUspEfDayDataMapper.selectProjectUspEfDayDataList(projectUspEfDayData);
    }
}
