package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.PvDaPfDayData;
import com.ruoyi.predict.mapper.PvDaPfDayDataMapper;
import com.ruoyi.predict.service.IPvDaPfDayDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * PvDaPfDayDataService业务层处理
 * 
 * @author hlf
 * @date 2022-07-11
 */
@Service
public class PvDaPfDayDataServiceImpl implements IPvDaPfDayDataService 
{
    @Autowired(required = false)
    private PvDaPfDayDataMapper pvDaPfDayDataMapper;

    /**
     * 查询PvDaPfDayData
     * 
     * @param pvplantNo PvDaPfDayDataID
     * @return PvDaPfDayData
     */
    @Override
    public PvDaPfDayData selectPvDaPfDayDataById(Long pvplantNo)
    {
        return pvDaPfDayDataMapper.selectPvDaPfDayDataById(pvplantNo);
    }

    /**
     * 查询PvDaPfDayData列表
     * 
     * @param pvDaPfDayData PvDaPfDayData
     * @return PvDaPfDayData
     */
    @Override
    public List<PvDaPfDayData> selectPvDaPfDayDataList(PvDaPfDayData pvDaPfDayData)
    {
        return pvDaPfDayDataMapper.selectPvDaPfDayDataList(pvDaPfDayData);
    }
}
