package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.PvDaPfPeriodData;
import com.ruoyi.predict.mapper.PvDaPfPeriodDataMapper;
import com.ruoyi.predict.service.IPvDaPfPeriodDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * PvDaPfPeriodDataService业务层处理
 * 
 * @author hlf
 * @date 2022-07-11
 */
@Service
public class PvDaPfPeriodDataServiceImpl implements IPvDaPfPeriodDataService 
{
    @Autowired(required = false)
    private PvDaPfPeriodDataMapper pvDaPfPeriodDataMapper;

    /**
     * 查询PvDaPfPeriodData
     * 
     * @param pvNo PvDaPfPeriodDataID
     * @return PvDaPfPeriodData
     */
    @Override
    public PvDaPfPeriodData selectPvDaPfPeriodDataById(Long pvNo)
    {
        return pvDaPfPeriodDataMapper.selectPvDaPfPeriodDataById(pvNo);
    }

    /**
     * 查询PvDaPfPeriodData列表
     * 
     * @param pvDaPfPeriodData PvDaPfPeriodData
     * @return PvDaPfPeriodData
     */
    @Override
    public List<PvDaPfPeriodData> selectPvDaPfPeriodDataList(PvDaPfPeriodData pvDaPfPeriodData)
    {
        return pvDaPfPeriodDataMapper.selectPvDaPfPeriodDataList(pvDaPfPeriodData);
    }

    @Override
    public PvDaPfPeriodData selectPvDaPfPeriodData(Long pvNo, Long modelNo, Date dataTime) {
        return pvDaPfPeriodDataMapper.selectPvDaPfPeriodData(pvNo, modelNo, dataTime);
    }
}
