package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.PvUspMonthData;
import com.ruoyi.predict.mapper.PvUspMonthDataMapper;
import com.ruoyi.predict.service.IPvUspMonthDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * PvUspMonthDataService业务层处理
 * 
 * @author hlf
 * @date 2022-07-13
 */
@Service
public class PvUspMonthDataServiceImpl implements IPvUspMonthDataService 
{
    @Autowired(required = false)
    private PvUspMonthDataMapper pvUspMonthDataMapper;

    /**
     * 查询PvUspMonthData
     * 
     * @param pvNo PvUspMonthDataID
     * @return PvUspMonthData
     */
    @Override
    public PvUspMonthData selectPvUspMonthDataById(Long pvNo)
    {
        return pvUspMonthDataMapper.selectPvUspMonthDataById(pvNo);
    }

    /**
     * 查询PvUspMonthData列表
     * 
     * @param pvUspMonthData PvUspMonthData
     * @return PvUspMonthData
     */
    @Override
    public List<PvUspMonthData> selectPvUspMonthDataList(PvUspMonthData pvUspMonthData)
    {
        return pvUspMonthDataMapper.selectPvUspMonthDataList(pvUspMonthData);
    }
}
