package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.PvUspTsPeriodData;
import com.ruoyi.predict.mapper.PvUspTsPeriodDataMapper;
import com.ruoyi.predict.service.IPvUspTsPeriodDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * PvUspTsPeriodDataService业务层处理
 * 
 * @author hlf
 * @date 2022-07-13
 */
@Service
public class PvUspTsPeriodDataServiceImpl implements IPvUspTsPeriodDataService 
{
    @Autowired(required = false)
    private PvUspTsPeriodDataMapper pvUspTsPeriodDataMapper;

    /**
     * 查询PvUspTsPeriodData
     * 
     * @param pvNo PvUspTsPeriodDataID
     * @return PvUspTsPeriodData
     */
    @Override
    public PvUspTsPeriodData selectPvUspTsPeriodDataById(Long pvNo)
    {
        return pvUspTsPeriodDataMapper.selectPvUspTsPeriodDataById(pvNo);
    }

    /**
     * 查询PvUspTsPeriodData列表
     * 
     * @param pvUspTsPeriodData PvUspTsPeriodData
     * @return PvUspTsPeriodData
     */
    @Override
    public List<PvUspTsPeriodData> selectPvUspTsPeriodDataList(PvUspTsPeriodData pvUspTsPeriodData)
    {
        return pvUspTsPeriodDataMapper.selectPvUspTsPeriodDataList(pvUspTsPeriodData);
    }

    @Override
    public PvUspTsPeriodData selectPvUspTsPeriodData(Long pvNo, Long modelNo, Long timeScale, Date dataTime) {
        return pvUspTsPeriodDataMapper.selectPvUspTsPeriodData(pvNo, modelNo, timeScale, dataTime);
    }
}
