package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.UploadPfValueConfig;
import com.ruoyi.predict.mapper.UploadPfValueConfigMapper;
import com.ruoyi.predict.service.IUploadPfValueConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * UploadPfValueConfigService业务层处理
 *
 * @author hlf
 * @date 2022-01-10
 */
@Service
public class UploadPfValueConfigServiceImpl implements IUploadPfValueConfigService {
    @Autowired(required = false)
    private UploadPfValueConfigMapper uploadPfValueConfigMapper;

    /**
     * 查询UploadPfValueConfig
     *
     * @param pfNo UploadPfValueConfigID
     * @return UploadPfValueConfig
     */
    @Override
    public UploadPfValueConfig selectUploadPfValueConfigById(Long pfNo) {
        return uploadPfValueConfigMapper.selectUploadPfValueConfigById(pfNo);
    }

    /**
     * 查询UploadPfValueConfig列表
     *
     * @param uploadPfValueConfig UploadPfValueConfig
     * @return UploadPfValueConfig
     */
    @Override
    public List<UploadPfValueConfig> selectUploadPfValueConfigList(UploadPfValueConfig uploadPfValueConfig) {
        return uploadPfValueConfigMapper.selectUploadPfValueConfigList(uploadPfValueConfig);
    }
}
