package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.WfPrPfutilizationhours;
import com.ruoyi.predict.mapper.WfPrPfutilizationhoursMapper;
import com.ruoyi.predict.service.IWfPrPfutilizationhoursService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * WfPrPfutilizationhoursService业务层处理
 * 
 * @author hlf
 * @date 2022-11-09
 */
@Service
public class WfPrPfutilizationhoursServiceImpl implements IWfPrPfutilizationhoursService 
{
    @Autowired(required = false)
    private WfPrPfutilizationhoursMapper wfPrPfutilizationhoursMapper;

    /**
     * 查询WfPrPfutilizationhours
     * 
     * @param windplantNo WfPrPfutilizationhoursID
     * @return WfPrPfutilizationhours
     */
    @Override
    public WfPrPfutilizationhours selectWfPrPfutilizationhoursById(Long windplantNo)
    {
        return wfPrPfutilizationhoursMapper.selectWfPrPfutilizationhoursById(windplantNo);
    }

    /**
     * 查询WfPrPfutilizationhours列表
     * 
     * @param wfPrPfutilizationhours WfPrPfutilizationhours
     * @return WfPrPfutilizationhours
     */
    @Override
    public List<WfPrPfutilizationhours> selectWfPrPfutilizationhoursList(WfPrPfutilizationhours wfPrPfutilizationhours)
    {
        return wfPrPfutilizationhoursMapper.selectWfPrPfutilizationhoursList(wfPrPfutilizationhours);
    }

    @Override
    public List<WfPrPfutilizationhours> selectWfPrPfutilizationhours(Long windplantNo, Long projectNo, Long modelNo, Date dataTime) {
        return wfPrPfutilizationhoursMapper.selectWfPrPfutilizationhours(windplantNo, projectNo, modelNo, dataTime);
    }
}
