package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.WfUspEfPeriodData;
import com.ruoyi.predict.mapper.WfUspEfPeriodDataMapper;
import com.ruoyi.predict.service.IWfUspEfPeriodDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * WfUspEfPeriodDataService业务层处理
 *
 * @author hlf
 * @date 2021-09-28
 */
@Service
public class WfUspEfPeriodDataServiceImpl implements IWfUspEfPeriodDataService {
    @Autowired(required = false)
    private WfUspEfPeriodDataMapper wfUspEfPeriodDataMapper;

    /**
     * 查询WfUspEfPeriodData
     *
     * @param windplantNo WfUspEfPeriodDataID
     * @return WfUspEfPeriodData
     */
    @Override
    public WfUspEfPeriodData selectWfUspEfPeriodDataById(Long windplantNo) {
        return wfUspEfPeriodDataMapper.selectWfUspEfPeriodDataById(windplantNo);
    }

    /**
     * 查询WfUspEfPeriodData列表
     *
     * @param wfUspEfPeriodData WfUspEfPeriodData
     * @return WfUspEfPeriodData
     */
    @Override
    public List<WfUspEfPeriodData> selectWfUspEfPeriodDataList(WfUspEfPeriodData wfUspEfPeriodData) {
        return wfUspEfPeriodDataMapper.selectWfUspEfPeriodDataList(wfUspEfPeriodData);
    }
}
