package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.WfUspTsEfPeriodData;
import com.ruoyi.predict.mapper.WfUspTsEfPeriodDataMapper;
import com.ruoyi.predict.service.IWfUspTsEfPeriodDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * WfUspTsEfPeriodDataService业务层处理
 *
 * @author hlf
 * @date 2021-09-28
 */
@Service
public class WfUspTsEfPeriodDataServiceImpl implements IWfUspTsEfPeriodDataService {
    @Autowired(required = false)
    private WfUspTsEfPeriodDataMapper wfUspTsEfPeriodDataMapper;

    /**
     * 查询WfUspTsEfPeriodData
     *
     * @param windplantNo WfUspTsEfPeriodDataID
     * @return WfUspTsEfPeriodData
     */
    @Override
    public WfUspTsEfPeriodData selectWfUspTsEfPeriodDataById(Long windplantNo) {
        return wfUspTsEfPeriodDataMapper.selectWfUspTsEfPeriodDataById(windplantNo);
    }

    /**
     * 查询WfUspTsEfPeriodData列表
     *
     * @param wfUspTsEfPeriodData WfUspTsEfPeriodData
     * @return WfUspTsEfPeriodData
     */
    @Override
    public List<WfUspTsEfPeriodData> selectWfUspTsEfPeriodDataList(WfUspTsEfPeriodData wfUspTsEfPeriodData) {
        return wfUspTsEfPeriodDataMapper.selectWfUspTsEfPeriodDataList(wfUspTsEfPeriodData);
    }

    @Override
    public List<WfUspTsEfPeriodData> selectWfUspTsEfPeriodData(Long windplantNo, Long modelNo, Long timeScale, Date dataTime) {
        return wfUspTsEfPeriodDataMapper.selectWfUspTsEfPeriodData(windplantNo, modelNo, timeScale, dataTime);
    }
}
