package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.WfYcHistoryData1;
import com.ruoyi.predict.mapper.WfYcHistoryData1Mapper;
import com.ruoyi.predict.service.IWfYcHistoryData1Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * WfYcHistoryData1Service业务层处理
 *
 * @author hlf
 * @date 2021-08-03
 */
@Service
public class WfYcHistoryData1ServiceImpl implements IWfYcHistoryData1Service {
    @Autowired(required = false)
    private WfYcHistoryData1Mapper wfYcHistoryData1Mapper;

    /**
     * 查询WfYcHistoryData1
     *
     * @param analogNo WfYcHistoryData1ID
     * @return WfYcHistoryData1
     */
    @Override
    public WfYcHistoryData1 selectWfYcHistoryData1ById(Long analogNo) {
        return wfYcHistoryData1Mapper.selectWfYcHistoryData1ById(analogNo);
    }

    /**
     * 查询WfYcHistoryData1列表
     *
     * @param wfYcHistoryData1 WfYcHistoryData1
     * @return WfYcHistoryData1
     */
    @Override
    public List<WfYcHistoryData1> selectWfYcHistoryData1List(WfYcHistoryData1 wfYcHistoryData1) {
        return wfYcHistoryData1Mapper.selectWfYcHistoryData1List(wfYcHistoryData1);
    }

    @Override
    public WfYcHistoryData1 selectWfYcHistoryData1(Long analogNo, Date dateTime) {
        return wfYcHistoryData1Mapper.selectWfYcHistoryData1(analogNo, dateTime);
    }

    @Override
    public List<WfYcHistoryData1> selectWfYcHistoryData11(Long analogNo, Date dateTime) {
        return wfYcHistoryData1Mapper.selectWfYcHistoryData11(analogNo, dateTime);
    }
}
