package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.WfYcHistoryData2;
import com.ruoyi.predict.mapper.WfYcHistoryData2Mapper;
import com.ruoyi.predict.service.IWfYcHistoryData2Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * WfYcHistoryData2Service业务层处理
 *
 * @author hlf
 * @date 2021-08-11
 */
@Service
public class WfYcHistoryData2ServiceImpl implements IWfYcHistoryData2Service {
    @Autowired(required = false)
    private WfYcHistoryData2Mapper wfYcHistoryData2Mapper;

    /**
     * 查询WfYcHistoryData2
     *
     * @param analogNo WfYcHistoryData2ID
     * @return WfYcHistoryData2
     */
    @Override
    public WfYcHistoryData2 selectWfYcHistoryData2ById(Long analogNo) {
        return wfYcHistoryData2Mapper.selectWfYcHistoryData2ById(analogNo);
    }

    /**
     * 查询WfYcHistoryData2列表
     *
     * @param wfYcHistoryData2 WfYcHistoryData2
     * @return WfYcHistoryData2
     */
    @Override
    public List<WfYcHistoryData2> selectWfYcHistoryData2List(WfYcHistoryData2 wfYcHistoryData2) {
        return wfYcHistoryData2Mapper.selectWfYcHistoryData2List(wfYcHistoryData2);
    }

    @Override
    public WfYcHistoryData2 selectWfYcHistoryData2(Long avgApYcNo, Date dateTime) {
        return wfYcHistoryData2Mapper.selectWfYcHistoryData2(avgApYcNo, dateTime);
    }
}
