package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.WpuspSvrPara;
import com.ruoyi.predict.mapper.WpuspSvrParaMapper;
import com.ruoyi.predict.service.IWpuspSvrParaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * WpuspSvrParaService业务层处理
 *
 * @author hlf
 * @date 2021-08-11
 */
@Service
public class WpuspSvrParaServiceImpl implements IWpuspSvrParaService {
    @Autowired(required = false)
    private WpuspSvrParaMapper wpuspSvrParaMapper;

    /**
     * 查询WpuspSvrPara
     *
     * @param windplantNo WpuspSvrParaID
     * @return WpuspSvrPara
     */
    @Override
    public WpuspSvrPara selectWpuspSvrParaById(Long windplantNo) {
        return wpuspSvrParaMapper.selectWpuspSvrParaById(windplantNo);
    }

    /**
     * 查询WpuspSvrPara列表
     *
     * @param wpuspSvrPara WpuspSvrPara
     * @return WpuspSvrPara
     */
    @Override
    public List<WpuspSvrPara> selectWpuspSvrParaList(WpuspSvrPara wpuspSvrPara) {
        return wpuspSvrParaMapper.selectWpuspSvrParaList(wpuspSvrPara);
    }
}
