package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.WtgDaPfDayData;
import com.ruoyi.predict.mapper.WtgDaPfDayDataMapper;
import com.ruoyi.predict.service.IWtgDaPfDayDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * WtgDaPfDayDataService业务层处理
 *
 * @author hlf
 * @date 2021-08-06
 */
@Service
public class WtgDaPfDayDataServiceImpl implements IWtgDaPfDayDataService {
    @Autowired(required = false)
    private WtgDaPfDayDataMapper wtgDaPfDayDataMapper;

    /**
     * 查询WtgDaPfDayData
     *
     * @param wturNo WtgDaPfDayDataID
     * @return WtgDaPfDayData
     */
    @Override
    public WtgDaPfDayData selectWtgDaPfDayDataById(Long wturNo) {
        return wtgDaPfDayDataMapper.selectWtgDaPfDayDataById(wturNo);
    }

    /**
     * 查询WtgDaPfDayData列表
     *
     * @param wtgDaPfDayData WtgDaPfDayData
     * @return WtgDaPfDayData
     */
    @Override
    public List<WtgDaPfDayData> selectWtgDaPfDayDataList(WtgDaPfDayData wtgDaPfDayData) {
        return wtgDaPfDayDataMapper.selectWtgDaPfDayDataList(wtgDaPfDayData);
    }

    @Override
    public WtgDaPfDayData selectWtgDaPfDayData(Long wtgNo, Long modelNo, Date dateTime) {
        return wtgDaPfDayDataMapper.selectWtgDaPfDayData(wtgNo, modelNo, dateTime);
    }
}
